DROP TABLE IF EXISTS `wp_commentmeta`;
CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
DROP TABLE IF EXISTS `wp_comments`;
CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `comment_author_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
DROP TABLE IF EXISTS `wp_links`;
CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_target` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_description` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_visible` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_notes` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `link_rss` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `wp_links` VALUES (1,'http://codex.wordpress.org/','Documentation','','','','Y',1,0,'0000-00-00 00:00:00','','',''),(2,'http://wordpress.org/development/','WordPress Blog','','','','Y',1,0,'0000-00-00 00:00:00','','','http://wordpress.org/development/feed/'),(3,'http://wordpress.org/extend/ideas/','Suggest Ideas','','','','Y',1,0,'0000-00-00 00:00:00','','',''),(4,'http://wordpress.org/support/','Support Forum','','','','Y',1,0,'0000-00-00 00:00:00','','',''),(5,'http://wordpress.org/extend/plugins/','Plugins','','','','Y',1,0,'0000-00-00 00:00:00','','',''),(6,'http://wordpress.org/extend/themes/','Themes','','','','Y',1,0,'0000-00-00 00:00:00','','',''),(7,'http://planet.wordpress.org/','WordPress Planet','','','','Y',1,0,'0000-00-00 00:00:00','','','');
DROP TABLE IF EXISTS `wp_options`;
CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `option_value` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `autoload` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`)
) ENGINE=MyISAM AUTO_INCREMENT=934 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `wp_options` VALUES (1,'siteurl','https://heavybox.parcon.mx','yes'),(2,'blogname','Heavy Box','yes'),(3,'blogdescription','Cajas y Empaques de Carton','yes'),(4,'users_can_register','0','yes'),(5,'admin_email','shybwy@hotmail.com','yes'),(6,'start_of_week','1','yes'),(7,'use_balanceTags','0','yes'),(8,'use_smilies','1','yes'),(9,'require_name_email','1','yes'),(10,'comments_notify','1','yes'),(11,'posts_per_rss','10','yes'),(12,'rss_use_excerpt','0','yes'),(13,'mailserver_url','mail.example.com','yes'),(14,'mailserver_login','login@example.com','yes'),(15,'mailserver_pass','password','yes'),(16,'mailserver_port','110','yes'),(17,'default_category','1','yes'),(18,'default_comment_status','open','yes'),(19,'default_ping_status','open','yes'),(20,'default_pingback_flag','0','yes'),(22,'posts_per_page','10','yes'),(23,'date_format','F j, Y','yes'),(24,'time_format','g:i a','yes'),(25,'links_updated_date_format','F j, Y g:i a','yes'),(29,'comment_moderation','0','yes'),(30,'moderation_notify','1','yes'),(31,'permalink_structure','/%category%/%postname%/','yes'),(33,'hack_file','0','yes'),(34,'blog_charset','UTF-8','yes'),(35,'moderation_keys','','no'),(36,'active_plugins','a:3:{i:0;s:33:\"classic-editor/classic-editor.php\";i:1;s:36:\"contact-form-7/wp-contact-form-7.php\";i:2;s:45:\"llorix-one-companion/llorix-one-companion.php\";}','yes'),(37,'home','https://heavybox.parcon.mx','yes'),(38,'category_base','','yes'),(39,'ping_sites','http://rpc.pingomatic.com/','yes'),(41,'comment_max_links','2','yes'),(42,'gmt_offset','0','yes'),(43,'default_email_category','1','yes'),(44,'recently_edited','','no'),(45,'template','llorix-one-lite','yes'),(46,'stylesheet','llorix-one-lite','yes'),(47,'comment_whitelist','1','yes'),(48,'blacklist_keys','','no'),(49,'comment_registration','0','yes'),(51,'html_type','text/html','yes'),(52,'use_trackback','0','yes'),(53,'default_role','subscriber','yes'),(54,'db_version','38590','yes'),(55,'uploads_use_yearmonth_folders','1','yes'),(56,'upload_path','/home/sjalacom/public_html/heavybox/wp-content/uploads','yes'),(57,'blog_public','1','yes'),(58,'default_link_category','2','yes'),(59,'show_on_front','page','yes'),(60,'tag_base','','yes'),(61,'show_avatars','1','yes'),(62,'avatar_rating','G','yes'),(63,'upload_url_path','','yes'),(64,'thumbnail_size_w','150','yes'),(65,'thumbnail_size_h','150','yes'),(66,'thumbnail_crop','1','yes'),(67,'medium_size_w','300','yes'),(68,'medium_size_h','300','yes'),(69,'avatar_default','mystery','yes'),(72,'large_size_w','1024','yes'),(73,'large_size_h','1024','yes'),(74,'image_default_link_type','file','yes'),(75,'image_default_size','','yes'),(76,'image_default_align','','yes'),(77,'close_comments_for_old_posts','0','yes'),(78,'close_comments_days_old','14','yes'),(79,'thread_comments','1','yes'),(80,'thread_comments_depth','5','yes'),(81,'page_comments','0','yes'),(82,'comments_per_page','50','yes'),(83,'default_comments_page','newest','yes'),(84,'comment_order','asc','yes'),(85,'sticky_posts','a:0:{}','yes'),(86,'widget_categories','a:2:{i:2;a:4:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:12:\"hierarchical\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}','yes'),(87,'widget_text','a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}','yes'),(88,'widget_rss','a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}','yes'),(89,'timezone_string','','yes'),(91,'embed_size_w','','yes'),(92,'embed_size_h','600','yes'),(93,'page_for_posts','0','yes'),(94,'page_on_front','107','yes'),(95,'wp_user_roles','a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:61:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:34:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}','yes'),(96,'widget_search','a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}','yes'),(97,'widget_recent-posts','a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:12:\"_multiwidget\";i:1;}','yes'),(98,'widget_recent-comments','a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:12:\"_multiwidget\";i:1;}','yes'),(99,'widget_archives','a:2:{i:2;a:3:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}','yes'),(100,'widget_meta','a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}','yes'),(101,'sidebars_widgets','a:5:{s:19:\"wp_inactive_widgets\";a:0:{}s:15:\"sidebar_primary\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:18:\"footer-widget-area\";a:0:{}s:11:\"woocommerce\";a:0:{}s:13:\"array_version\";i:3;}','yes'),(102,'ftp_credentials','a:3:{s:8:\"hostname\";s:9:\"localhost\";s:8:\"username\";N;s:15:\"connection_type\";s:3:\"ftp\";}','yes'),(103,'widget_pages','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(104,'widget_calendar','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(105,'widget_links','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(106,'widget_media_audio','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(107,'widget_media_image','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(108,'widget_media_gallery','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(109,'widget_media_video','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(110,'widget_tag_cloud','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(111,'widget_nav_menu','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(112,'widget_custom_html','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(113,'rewrite_rules','a:94:{s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:23:\"category/(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:20:\"tag/([^/]+)/embed/?$\";s:36:\"index.php?tag=$matches[1]&embed=true\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:21:\"type/([^/]+)/embed/?$\";s:44:\"index.php?post_format=$matches[1]&embed=true\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:12:\"robots\\.txt$\";s:18:\"index.php?robots=1\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:27:\"comment-page-([0-9]{1,})/?$\";s:40:\"index.php?&page_id=107&cpage=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:23:\"author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:45:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:32:\"([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:19:\"([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";s:31:\".+?/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:41:\".+?/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:61:\".+?/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:56:\".+?/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:56:\".+?/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:37:\".+?/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:22:\"(.+?)/([^/]+)/embed/?$\";s:63:\"index.php?category_name=$matches[1]&name=$matches[2]&embed=true\";s:26:\"(.+?)/([^/]+)/trackback/?$\";s:57:\"index.php?category_name=$matches[1]&name=$matches[2]&tb=1\";s:46:\"(.+?)/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:69:\"index.php?category_name=$matches[1]&name=$matches[2]&feed=$matches[3]\";s:41:\"(.+?)/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:69:\"index.php?category_name=$matches[1]&name=$matches[2]&feed=$matches[3]\";s:34:\"(.+?)/([^/]+)/page/?([0-9]{1,})/?$\";s:70:\"index.php?category_name=$matches[1]&name=$matches[2]&paged=$matches[3]\";s:41:\"(.+?)/([^/]+)/comment-page-([0-9]{1,})/?$\";s:70:\"index.php?category_name=$matches[1]&name=$matches[2]&cpage=$matches[3]\";s:30:\"(.+?)/([^/]+)(?:/([0-9]+))?/?$\";s:69:\"index.php?category_name=$matches[1]&name=$matches[2]&page=$matches[3]\";s:20:\".+?/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:30:\".+?/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:50:\".+?/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:45:\".+?/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:45:\".+?/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:26:\".+?/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:38:\"(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:33:\"(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:14:\"(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:26:\"(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:33:\"(.+?)/comment-page-([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&cpage=$matches[2]\";s:8:\"(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";}','yes'),(114,'uninstall_plugins','a:0:{}','no'),(115,'default_post_format','0','yes'),(116,'link_manager_enabled','1','yes'),(117,'finished_splitting_shared_terms','1','yes'),(118,'site_icon','5','yes'),(119,'medium_large_size_w','768','yes'),(120,'medium_large_size_h','0','yes'),(121,'wp_page_for_privacy_policy','0','yes'),(122,'show_comments_cookies_opt_in','0','yes'),(123,'initial_db_version','15260','yes'),(125,'cron','a:5:{i:1547585415;a:1:{s:34:\"wp_privacy_delete_old_export_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1547596215;a:3:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1547639437;a:2:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:25:\"delete_expired_transients\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1547650609;a:1:{s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}s:7:\"version\";i:2;}','yes'),(126,'db_upgraded','','yes'),(612,'WPLANG','es_ES','yes'),(128,'_transient_update_plugins','O:8:\"stdClass\":1:{s:12:\"last_checked\";i:0;}','yes'),(268,'theme_switched_via_customizer','','yes'),(181,'theme_mods_bluestreet','a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1542050763;s:4:\"data\";a:4:{s:19:\"wp_inactive_widgets\";a:0:{}s:15:\"sidebar_primary\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:18:\"footer-widget-area\";a:0:{}s:11:\"woocommerce\";a:0:{}}}}','yes'),(159,'current_theme','Llorix One Lite','yes'),(160,'theme_mods_llorix-one-lite','a:43:{i:0;b:0;s:18:\"nav_menu_locations\";a:2:{s:7:\"primary\";i:3;s:27:\"llorix_one_lite_footer_menu\";i:3;}s:18:\"custom_css_post_id\";i:-1;s:36:\"llorix_one_lite_keep_old_fp_template\";s:0:\"\";s:37:\"llorix_one_lite_very_top_header_phone\";s:24:\"+52 (33) 3694 3001 / 02 \";s:28:\"llorix_one_lite_header_title\";s:32:\"Empaques y Soluciones de Cartón\";s:27:\"llorix_one_lite_header_logo\";s:71:\"https://heavybox.parcon.mx/wp-content/uploads/2018/11/logo_heavybox.png\";s:12:\"header_image\";s:106:\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/cropped-WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\";s:17:\"header_image_data\";O:8:\"stdClass\":5:{s:13:\"attachment_id\";i:181;s:3:\"url\";s:106:\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/cropped-WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\";s:13:\"thumbnail_url\";s:106:\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/cropped-WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\";s:6:\"height\";i:870;s:5:\"width\";i:1280;}s:20:\"llorix_one_lite_logo\";s:71:\"https://heavybox.parcon.mx/wp-content/uploads/2018/11/logo_heavybox.png\";s:30:\"llorix_one_lite_our_story_text\";s:418:\"<strong>\nCajas regulares.<br />\nCajas troqueladas.<br />\nCajas agrícolas.<br />\nCorrugado single face.<br />\nImpresión flexografica a 4 tintas.<br />\nCorrugado con recubrimientos contra humedad.<br />\nLinners.<br />\nEsquineros.<br />\nGaylors.<br />\nDivisiones.<br />\nSeparadores.<br />\nCorrugados: sencillo, doble, triple, kraft, blanco, antiestático, microcorrugado,\nen todas las resistencias existentes.\n</strong>\";s:31:\"llorix_one_lite_our_story_image\";s:96:\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.14.jpeg\";s:38:\"llorix_one_lite_frontpage_content_show\";s:0:\"\";s:31:\"llorix_one_lite_header_subtitle\";s:65:\"Descubre todas las opciones que tenemos en soluciones de cartón.\";s:26:\"llorix_one_lite_logos_show\";s:1:\"1\";s:34:\"llorix_one_lite_our_services_title\";s:9:\"Servicios\";s:37:\"llorix_one_lite_our_services_subtitle\";s:48:\"¡Por algo somos los numero uno de la industria!\";s:37:\"llorix_one_lite_very_top_social_icons\";s:130:\"[{\"icon_value\":\"fa-facebook\",\"link\":\"#\"},{\"icon_value\":\"fa-twitter\",\"link\":\"#\"},{\"icon_value\":\"fa-google-plus-square\",\"link\":\"#\"}]\";s:29:\"llorix_one_lite_logos_content\";s:616:\"[{\"image_url\":\"https:\\/\\/heavybox.parcon.mx\\/wp-content\\/uploads\\/2018\\/12\\/WhatsApp-Image-2018-12-14-at-13.25.14-225x300.jpeg\",\"link\":\"#\"},{\"image_url\":\"https:\\/\\/heavybox.parcon.mx\\/wp-content\\/themes\\/llorix-one-lite\\/images\\/companies\\/2.png\",\"link\":\"#\"},{\"image_url\":\"https:\\/\\/heavybox.parcon.mx\\/wp-content\\/themes\\/llorix-one-lite\\/images\\/companies\\/3.png\",\"link\":\"#\"},{\"image_url\":\"https:\\/\\/heavybox.parcon.mx\\/wp-content\\/themes\\/llorix-one-lite\\/images\\/companies\\/4.png\",\"link\":\"#\"},{\"image_url\":\"https:\\/\\/heavybox.parcon.mx\\/wp-content\\/themes\\/llorix-one-lite\\/images\\/companies\\/5.png\",\"link\":\"#\"}]\";s:36:\"llorix_one_lite_contact_info_content\";s:360:\"[{\"text\":\"atencionaclientes@heavybox.com.mx<br>\\natencionaclientes1@heavybox.com.mx\",\"icon_value\":\"fa-envelope\",\"link\":\"#\"},{\"text\":\"Lago Cajititlan 201\\nCol. Nicolas R. Casillas\\nTlajomulco de Zu\\u00f1iga, Jal.\",\"icon_value\":\"fa-map-marker\",\"link\":\"#\"},{\"text\":\"+52 (33) 3694 3001<br>\\n(33) 3100 4887<br>\\n(33) 3100 5054\",\"icon_value\":\"fa-tablet\",\"link\":\"#\"}]\";s:28:\"llorix_one_lite_social_icons\";s:2:\"[]\";s:32:\"llorix_one_lite_services_content\";s:1427:\"[{\"text\":\"Sabemos lo importante que es para ti tener tu producto a tiempo, ofrecemos atenci\\u00f3n 24 horas, 7 d\\u00edas a la semana. En Corrugados Heavy Box, las necesidades y satisfacci\\u00f3n del cliente son nuestras prioridades.\",\"title\":\"Atenci\\u00f3n 24&#x2F;7\",\"icon_value\":\"fa-clock-o\",\"choice\":\"llorix_one_lite_icon\"},{\"text\":\"No arriesgamos tu producto. Por eso contamos y utilizamos nuestra propia flotilla de camiones, as\\u00ed como operadores entrenados para entregar en tiempo y forma cada pedido. \",\"title\":\"Transporte Propio\",\"icon_value\":\"fa-truck\",\"choice\":\"llorix_one_lite_icon\"},{\"text\":\"Creamos trajes a la medida para cumplir con las necesidades de cada cliente, fabricamos desde una pieza muestra hasta cientos de miles de piezas, con dise\\u00f1os unicos y exclusivos.\",\"title\":\"Desarrollo Proyectos\",\"icon_value\":\"fa-archive\",\"choice\":\"llorix_one_lite_icon\"},{\"text\":\"Sabemos que hay momentos en que una entrega necesita salir urgentemente. Apoyamos a nuestos clientes con pedidos express realizando entregas al d\\u00eda siguiente del pedido. \",\"title\":\"Servicio Express\",\"icon_value\":\"fa-magic\",\"choice\":\"llorix_one_lite_icon\"},{\"text\":\"Analizamos y probamos todos nuestros productos  para que se encuentren en optimas condiciones seg\\u00fan los requerimientos del cliente. Garantizando la calidad en todo momento. \",\"title\":\"Evaluaci\\u00f3n\",\"icon_value\":\"fa-dropbox\",\"choice\":\"llorix_one_lite_icon\"}]\";s:28:\"llorix_one_lite_team_content\";s:559:\"[{\"image_url\":\"https:\\/\\/heavybox.parcon.mx\\/wp-content\\/uploads\\/2018\\/12\\/WhatsApp-Image-2018-12-14-at-13.25.12-2-300x225.jpeg\",\"title\":\"Dedicaci\\u00f3n en\",\"subtitle\":\"cada proceso\"},{\"image_url\":\"https:\\/\\/heavybox.parcon.mx\\/wp-content\\/uploads\\/2018\\/12\\/WhatsApp-Image-2018-12-14-at-13.25.13-300x225.jpeg\",\"title\":\"Capacitaci\\u00f3n del m\\u00e1s\",\"subtitle\":\"alto nivel\"},{\"image_url\":\"https:\\/\\/heavybox.parcon.mx\\/wp-content\\/uploads\\/2018\\/12\\/WhatsApp-Image-2018-12-14-at-13.25.11-300x225.jpeg\",\"title\":\"Control de \",\"subtitle\":\"calidad riguroso\"}]\";s:36:\"llorix_one_lite_testimonials_content\";s:1632:\"[{\"text\":\"Cepillos El Castor es una empresa que tiene 50 a\\u00f1os fabricando escobas, trapeadores, cepillos y accesorios especializados para la industria de la limpieza e inocuidad. Distribuyen sus productos en todo el mundo y tienen una fuerte presencia en latinoamerica. Cepillos El Castor y Heavybox trabajan de la mano para que los productos llegan a su destino final en perfectas condiciones. \",\"image_url\":\"https:\\/\\/heavybox.parcon.mx\\/wp-content\\/uploads\\/2018\\/11\\/logo_elcastor.jpg\",\"title\":\"Cepillos El Castor\",\"subtitle\":\"Industria Limpieza\"},{\"text\":\"En la industria alimenticia el trasportar lateria puede ser un dolor de cabeza. Las cajas tienen que soportar mucho peso y maltrato. Atun Tuny es uno de los lideres en el ramo y distribuyen sus producto en miles de tiendas en todo el pa\\u00eds y en el extranjero. Nuestras cajas est\\u00e1n a la altura de las exigencias del mercado, protege el producto y evita merma por golpes y ca\\u00eddas. \",\"image_url\":\"https:\\/\\/heavybox.parcon.mx\\/wp-content\\/uploads\\/2018\\/11\\/logo_tuny.jpg\",\"title\":\"Atun Tuny\",\"subtitle\":\"Industria Alimenticia\"},{\"text\":\"Perdura Stone es una empresa 100% Mexicana, como nosotros, elaboran piedra decorativa con finos acabados a nivel profesional y est\\u00e1n en constante crecimiento. Las cajas para transportar los acabados tienen que ser de una muy alta resistencia y durabilidad. Nuestros procesos y selecci\\u00f3n de material asegura de que as\\u00ed sea el 100% de las veces.\",\"image_url\":\"https:\\/\\/heavybox.parcon.mx\\/wp-content\\/uploads\\/2018\\/11\\/logo_perdura.jpg\",\"title\":\"Perdura Stone\",\"subtitle\":\"Industria Construcci\\u00f3n\"}]\";s:31:\"llorix_one_lite_our_story_title\";s:9:\"Productos\";s:35:\"llorix_one_lite_our_team_background\";s:98:\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\";s:30:\"llorix_one_lite_our_team_title\";s:25:\"¿Que nos hace diferente?\";s:33:\"llorix_one_lite_our_team_subtitle\";s:100:\"Nuestro personal cuenta con la mejor capacitación posible garantizando la calidad en cada producto.\";s:37:\"llorix_one_lite_happy_customers_title\";s:20:\"Clientes Satisfechos\";s:40:\"llorix_one_lite_happy_customers_subtitle\";s:73:\"Nuestra mejor carta de presentación es la opinión de nuestros clientes.\";s:28:\"llorix_one_lite_ribbon_title\";s:60:\"¿Que esperas? ¡Acercate a Corrugados Heavy Box, Hoy mismo!\";s:33:\"llorix_one_lite_ribbon_background\";s:96:\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.10.jpeg\";s:27:\"llorix_one_lite_button_text\";s:12:\"Contactános\";s:32:\"llorix_one_lite_latest_news_show\";s:1:\"1\";s:27:\"llorix_one_lite_page_editor\";s:845:\"<p>Contamos con capacidad de impresión de 1 a  4 tintas en línea, Sistema de Impresión y Pegado en Línea (Flexo, Folder, Gluer) Sistema de Troquelado e Impresión en Línea (Flexo Die-Cutter), velocidades de producción hasta de 240 cajas por minuto. Contamos con elaboración de Pedidos de 1 semana, entregas en transportes propios, cotizaciones de acuerdo a las necesidades del cliente, así como desarrollo de nuevos proyectos.</p><p>Tecnología / Competitividad Mercado: Nuestros Principales Mercados son muy diversificados, ya que fabricamos a la industria  farmacéutico, alimenticio, de manufactura electrónica, empaques de cartón entre otros, enfocados en las necesidades de nuestros clientes para el desarrollo de sus empaques para un correcto manejo y almacenaje y como resultado la protección integral de sus productos. </p>\";s:25:\"llorix_one_lite_copyright\";s:53:\"Derechos Reservados (c) Corrugados Heavy Box SA de CV\";s:27:\"llorix_one_lite_button_link\";s:9:\"/contacto\";s:34:\"llorix_one_lite_header_button_link\";s:9:\"/contacto\";s:34:\"llorix_one_lite_header_button_text\";s:12:\"CONTACTÁNOS\";s:27:\"llorix_one_lite_enable_move\";s:1:\"1\";s:27:\"llorix_one_lite_first_layer\";s:98:\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\";s:28:\"llorix_one_lite_second_layer\";s:98:\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\";s:42:\"llorix_one_lite_very_top_header_phone_text\";s:11:\"Llámanos: \";}','yes'),(161,'theme_switched','','yes'),(209,'fresh_site','0','yes'),(130,'_transient_update_themes','O:8:\"stdClass\":1:{s:12:\"last_checked\";i:0;}','yes'),(208,'classic-editor-replace','replace','yes'),(267,'theme_switch_menu_locations','a:0:{}','yes'),(136,'theme_mods_twentyseventeen','a:2:{s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1540037953;s:4:\"data\";a:7:{s:19:\"wp_inactive_widgets\";a:0:{}s:19:\"primary-widget-area\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:21:\"secondary-widget-area\";a:0:{}s:24:\"first-footer-widget-area\";a:0:{}s:25:\"second-footer-widget-area\";a:0:{}s:24:\"third-footer-widget-area\";a:0:{}s:25:\"fourth-footer-widget-area\";a:0:{}}}}','yes'),(143,'can_compress_scripts','1','no'),(210,'wallstreet_pro_options','a:39:{s:17:\"upload_image_logo\";s:84:\"https://heavybox.parcon.mx/wp-content/uploads/2018/10/logo_heavybox2_small_white.png\";s:20:\"contact_phone_number\";s:13:\"(33) 36943001\";s:13:\"contact_email\";s:20:\"info@heavybox.com.mx\";s:16:\"footer_copyright\";s:92:\"<p><a href=\"https://parcon.mx\">Proudly powered by Solexmex</a> | Copyright Heavybox 2018</p>\";s:16:\"slider_title_one\";s:20:\"Corrugados Heavy Box\";s:18:\"slider_description\";s:104:\"Innovamos con diseño, procesos y materiales de la mas alta calidad con tiempos de entrega ultra rapido.\";s:16:\"slider_title_two\";s:31:\"Empaques y Soluciones de Carton\";s:12:\"slider_image\";s:75:\"https://heavybox.parcon.mx/wp-content/uploads/2018/11/slider_heavybox-1.jpg\";s:10:\"text_title\";s:0:\"\";s:5:\"width\";s:3:\"300\";s:6:\"height\";s:3:\"125\";s:17:\"service_title_one\";s:20:\"Asesoria Profesional\";s:23:\"service_description_one\";s:150:\"Evaluamos los empaques utilizados en sus procesos de producción, almacenamiento y logística. Le ofrecemos el producto adecuado para tus necesidades.\";s:17:\"service_image_one\";s:66:\"https://heavybox.parcon.mx/wp-content/uploads/2018/10/asesoria.jpg\";s:17:\"service_title_two\";s:19:\"Atención y Entrega\";s:23:\"service_description_two\";s:157:\"Ofrecemos atención las 24 horas al día 7 días a la semana. Atendemos casos urgentes. ademas entregamos en toda la república mexicana en unidades propias.\";s:17:\"service_image_two\";s:70:\"https://heavybox.parcon.mx/wp-content/uploads/2018/10/entrega24hrs.jpg\";s:19:\"service_title_three\";s:10:\"Desarrollo\";s:25:\"service_description_three\";s:152:\"Desarrollamos productos nuevos de acuerdo a las necesidades de cada cliente. Diseñamos con tecnología de punta y conforme estándares internacionales.\";s:19:\"service_image_three\";s:68:\"https://heavybox.parcon.mx/wp-content/uploads/2018/10/desarrollo.jpg\";s:19:\"portfolio_title_one\";s:15:\"Cajas Regulares\";s:19:\"portfolio_image_one\";s:70:\"https://heavybox.parcon.mx/wp-content/uploads/2018/10/caja-regular.jpg\";s:25:\"portfolio_description_one\";s:107:\"Las cajas regulares, también conocidas como cajas americanas, FEFCO 0201 RSC (Regular Slotted Containers).\";s:19:\"portfolio_title_two\";s:17:\"Cajas Troqueladas\";s:25:\"portfolio_description_two\";s:112:\"Las cajas de cartón troqueladas se fabrican mediante una matriz la cual se coloca en una máquina troqueladora.\";s:19:\"portfolio_image_two\";s:75:\"https://heavybox.parcon.mx/wp-content/uploads/2018/10/cajas-troqueladas.jpg\";s:21:\"portfolio_title_three\";s:33:\"Impresion flexografica a 3 tintas\";s:27:\"portfolio_description_three\";s:89:\"La flexografía es una técnica de impresión que utiliza una placa flexible con relieve.\";s:21:\"portfolio_image_three\";s:69:\"https://heavybox.parcon.mx/wp-content/uploads/2018/10/flexografia.jpg\";s:20:\"portfolio_image_four\";s:68:\"https://heavybox.parcon.mx/wp-content/uploads/2018/10/corrugados.jpg\";s:20:\"portfolio_title_four\";s:10:\"Corrugados\";s:26:\"portfolio_description_four\";s:77:\"sencillo, doble, kraft, microcorrugado, en todas las resistencias existentes.\";s:15:\"portfolio_title\";s:20:\"Productos Destacados\";s:21:\"portfolio_description\";s:46:\"Algunos de nuestros productos más solicitados\";s:17:\"home_blog_heading\";s:28:\"Algunos Clientes Satisfechos\";s:21:\"home_blog_description\";s:66:\"Nos enorgullece ser proveedores de las mejores empresas en México\";s:20:\"blog_section_enabled\";s:1:\"1\";s:21:\"theme_feature_enabled\";s:0:\"\";s:18:\"webriti_stylesheet\";s:11:\"default.css\";}','yes'),(269,'customize_stashed_theme_mods','a:0:{}','no'),(187,'recently_activated','a:0:{}','yes'),(219,'wpcf7','a:2:{s:7:\"version\";s:5:\"5.0.5\";s:13:\"bulk_validate\";a:4:{s:9:\"timestamp\";i:1540220007;s:7:\"version\";s:5:\"5.0.4\";s:11:\"count_valid\";i:1;s:13:\"count_invalid\";i:0;}}','yes'),(932,'_site_transient_timeout_theme_roots','1547585500','no'),(933,'_site_transient_theme_roots','a:6:{s:10:\"bluestreet\";s:7:\"/themes\";s:15:\"llorix-one-lite\";s:7:\"/themes\";s:13:\"twentyfifteen\";s:7:\"/themes\";s:15:\"twentyseventeen\";s:7:\"/themes\";s:13:\"twentysixteen\";s:7:\"/themes\";s:10:\"wallstreet\";s:7:\"/themes\";}','no'),(309,'_site_transient_update_plugins','O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1547583700;s:7:\"checked\";a:6:{s:19:\"akismet/akismet.php\";s:3:\"4.1\";s:33:\"classic-editor/classic-editor.php\";s:3:\"0.4\";s:36:\"contact-form-7/wp-contact-form-7.php\";s:5:\"5.0.5\";s:9:\"hello.php\";s:3:\"1.7\";s:63:\"limit-login-attempts-reloaded/limit-login-attempts-reloaded.php\";s:5:\"2.7.1\";s:45:\"llorix-one-companion/llorix-one-companion.php\";s:5:\"1.1.4\";}s:8:\"response\";a:2:{s:33:\"classic-editor/classic-editor.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:28:\"w.org/plugins/classic-editor\";s:4:\"slug\";s:14:\"classic-editor\";s:6:\"plugin\";s:33:\"classic-editor/classic-editor.php\";s:11:\"new_version\";s:3:\"1.3\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/classic-editor/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/classic-editor.1.3.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/classic-editor/assets/icon-256x256.png?rev=1998671\";s:2:\"1x\";s:67:\"https://ps.w.org/classic-editor/assets/icon-128x128.png?rev=1998671\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:70:\"https://ps.w.org/classic-editor/assets/banner-1544x500.png?rev=1998671\";s:2:\"1x\";s:69:\"https://ps.w.org/classic-editor/assets/banner-772x250.png?rev=1998676\";}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:5:\"5.0.2\";s:12:\"requires_php\";s:5:\"5.2.4\";s:13:\"compatibility\";O:8:\"stdClass\":0:{}}s:36:\"contact-form-7/wp-contact-form-7.php\";O:8:\"stdClass\":13:{s:2:\"id\";s:28:\"w.org/plugins/contact-form-7\";s:4:\"slug\";s:14:\"contact-form-7\";s:6:\"plugin\";s:36:\"contact-form-7/wp-contact-form-7.php\";s:11:\"new_version\";s:5:\"5.1.1\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/contact-form-7/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/plugin/contact-form-7.5.1.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:66:\"https://ps.w.org/contact-form-7/assets/icon-256x256.png?rev=984007\";s:2:\"1x\";s:66:\"https://ps.w.org/contact-form-7/assets/icon-128x128.png?rev=984007\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:69:\"https://ps.w.org/contact-form-7/assets/banner-1544x500.png?rev=860901\";s:2:\"1x\";s:68:\"https://ps.w.org/contact-form-7/assets/banner-772x250.png?rev=880427\";}s:11:\"banners_rtl\";a:0:{}s:14:\"upgrade_notice\";s:147:\"<p>Read the <a href=\"https://contactform7.com/category/releases/\">release announcement post</a> before upgrading. There is an important notice.</p>\";s:6:\"tested\";s:5:\"5.0.1\";s:12:\"requires_php\";b:0;s:13:\"compatibility\";O:8:\"stdClass\":0:{}}}s:12:\"translations\";a:2:{i:0;a:7:{s:4:\"type\";s:6:\"plugin\";s:4:\"slug\";s:7:\"akismet\";s:8:\"language\";s:5:\"es_ES\";s:7:\"version\";s:3:\"4.1\";s:7:\"updated\";s:19:\"2018-11-12 20:01:22\";s:7:\"package\";s:72:\"https://downloads.wordpress.org/translation/plugin/akismet/4.1/es_ES.zip\";s:10:\"autoupdate\";b:1;}i:1;a:7:{s:4:\"type\";s:6:\"plugin\";s:4:\"slug\";s:29:\"limit-login-attempts-reloaded\";s:8:\"language\";s:5:\"es_ES\";s:7:\"version\";s:5:\"2.7.1\";s:7:\"updated\";s:19:\"2018-12-06 08:58:56\";s:7:\"package\";s:96:\"https://downloads.wordpress.org/translation/plugin/limit-login-attempts-reloaded/2.7.1/es_ES.zip\";s:10:\"autoupdate\";b:1;}}s:9:\"no_update\";a:4:{s:19:\"akismet/akismet.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:21:\"w.org/plugins/akismet\";s:4:\"slug\";s:7:\"akismet\";s:6:\"plugin\";s:19:\"akismet/akismet.php\";s:11:\"new_version\";s:3:\"4.1\";s:3:\"url\";s:38:\"https://wordpress.org/plugins/akismet/\";s:7:\"package\";s:54:\"https://downloads.wordpress.org/plugin/akismet.4.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:59:\"https://ps.w.org/akismet/assets/icon-256x256.png?rev=969272\";s:2:\"1x\";s:59:\"https://ps.w.org/akismet/assets/icon-128x128.png?rev=969272\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:61:\"https://ps.w.org/akismet/assets/banner-772x250.jpg?rev=479904\";}s:11:\"banners_rtl\";a:0:{}}s:9:\"hello.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:25:\"w.org/plugins/hello-dolly\";s:4:\"slug\";s:11:\"hello-dolly\";s:6:\"plugin\";s:9:\"hello.php\";s:11:\"new_version\";s:3:\"1.6\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/hello-dolly/\";s:7:\"package\";s:58:\"https://downloads.wordpress.org/plugin/hello-dolly.1.6.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/hello-dolly/assets/icon-256x256.jpg?rev=969907\";s:2:\"1x\";s:63:\"https://ps.w.org/hello-dolly/assets/icon-128x128.jpg?rev=969907\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:65:\"https://ps.w.org/hello-dolly/assets/banner-772x250.png?rev=478342\";}s:11:\"banners_rtl\";a:0:{}}s:63:\"limit-login-attempts-reloaded/limit-login-attempts-reloaded.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:43:\"w.org/plugins/limit-login-attempts-reloaded\";s:4:\"slug\";s:29:\"limit-login-attempts-reloaded\";s:6:\"plugin\";s:63:\"limit-login-attempts-reloaded/limit-login-attempts-reloaded.php\";s:11:\"new_version\";s:5:\"2.7.1\";s:3:\"url\";s:60:\"https://wordpress.org/plugins/limit-login-attempts-reloaded/\";s:7:\"package\";s:78:\"https://downloads.wordpress.org/plugin/limit-login-attempts-reloaded.2.7.1.zip\";s:5:\"icons\";a:2:{s:2:\"1x\";s:74:\"https://ps.w.org/limit-login-attempts-reloaded/assets/icon.svg?rev=1472250\";s:3:\"svg\";s:74:\"https://ps.w.org/limit-login-attempts-reloaded/assets/icon.svg?rev=1472250\";}s:7:\"banners\";a:0:{}s:11:\"banners_rtl\";a:0:{}}s:45:\"llorix-one-companion/llorix-one-companion.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:34:\"w.org/plugins/llorix-one-companion\";s:4:\"slug\";s:20:\"llorix-one-companion\";s:6:\"plugin\";s:45:\"llorix-one-companion/llorix-one-companion.php\";s:11:\"new_version\";s:5:\"1.1.4\";s:3:\"url\";s:51:\"https://wordpress.org/plugins/llorix-one-companion/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/plugin/llorix-one-companion.zip\";s:5:\"icons\";a:1:{s:2:\"1x\";s:73:\"https://ps.w.org/llorix-one-companion/assets/icon-128x128.png?rev=1366644\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:75:\"https://ps.w.org/llorix-one-companion/assets/banner-772x250.png?rev=1366644\";}s:11:\"banners_rtl\";a:0:{}}}}','no'),(312,'_site_transient_update_themes','O:8:\"stdClass\":4:{s:12:\"last_checked\";i:1547581866;s:7:\"checked\";a:6:{s:10:\"bluestreet\";s:5:\"1.2.6\";s:15:\"llorix-one-lite\";s:6:\"0.2.17\";s:13:\"twentyfifteen\";s:3:\"2.0\";s:15:\"twentyseventeen\";s:3:\"1.7\";s:13:\"twentysixteen\";s:3:\"1.5\";s:10:\"wallstreet\";s:7:\"1.7.8.5\";}s:8:\"response\";a:3:{s:13:\"twentyfifteen\";a:4:{s:5:\"theme\";s:13:\"twentyfifteen\";s:11:\"new_version\";s:3:\"2.3\";s:3:\"url\";s:43:\"https://wordpress.org/themes/twentyfifteen/\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/theme/twentyfifteen.2.3.zip\";}s:15:\"twentyseventeen\";a:4:{s:5:\"theme\";s:15:\"twentyseventeen\";s:11:\"new_version\";s:3:\"2.0\";s:3:\"url\";s:45:\"https://wordpress.org/themes/twentyseventeen/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/theme/twentyseventeen.2.0.zip\";}s:13:\"twentysixteen\";a:4:{s:5:\"theme\";s:13:\"twentysixteen\";s:11:\"new_version\";s:3:\"1.8\";s:3:\"url\";s:43:\"https://wordpress.org/themes/twentysixteen/\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/theme/twentysixteen.1.8.zip\";}}s:12:\"translations\";a:3:{i:0;a:7:{s:4:\"type\";s:5:\"theme\";s:4:\"slug\";s:13:\"twentyfifteen\";s:8:\"language\";s:5:\"es_ES\";s:7:\"version\";s:3:\"2.0\";s:7:\"updated\";s:19:\"2018-11-06 22:31:16\";s:7:\"package\";s:77:\"https://downloads.wordpress.org/translation/theme/twentyfifteen/2.0/es_ES.zip\";s:10:\"autoupdate\";b:1;}i:1;a:7:{s:4:\"type\";s:5:\"theme\";s:4:\"slug\";s:15:\"twentyseventeen\";s:8:\"language\";s:5:\"es_ES\";s:7:\"version\";s:3:\"1.7\";s:7:\"updated\";s:19:\"2018-11-01 12:57:51\";s:7:\"package\";s:79:\"https://downloads.wordpress.org/translation/theme/twentyseventeen/1.7/es_ES.zip\";s:10:\"autoupdate\";b:1;}i:2;a:7:{s:4:\"type\";s:5:\"theme\";s:4:\"slug\";s:13:\"twentysixteen\";s:8:\"language\";s:5:\"es_ES\";s:7:\"version\";s:3:\"1.5\";s:7:\"updated\";s:19:\"2018-11-06 22:30:39\";s:7:\"package\";s:77:\"https://downloads.wordpress.org/translation/theme/twentysixteen/1.5/es_ES.zip\";s:10:\"autoupdate\";b:1;}}}','no'),(615,'_site_transient_update_core','O:8:\"stdClass\":4:{s:7:\"updates\";a:4:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:7:\"upgrade\";s:8:\"download\";s:65:\"https://downloads.wordpress.org/release/es_ES/wordpress-5.0.3.zip\";s:6:\"locale\";s:5:\"es_ES\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:65:\"https://downloads.wordpress.org/release/es_ES/wordpress-5.0.3.zip\";s:10:\"no_content\";b:0;s:11:\"new_bundled\";b:0;s:7:\"partial\";b:0;s:8:\"rollback\";b:0;}s:7:\"current\";s:5:\"5.0.3\";s:7:\"version\";s:5:\"5.0.3\";s:11:\"php_version\";s:5:\"5.2.4\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"5.0\";s:15:\"partial_version\";s:0:\"\";}i:1;O:8:\"stdClass\":10:{s:8:\"response\";s:7:\"upgrade\";s:8:\"download\";s:59:\"https://downloads.wordpress.org/release/wordpress-5.0.3.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:59:\"https://downloads.wordpress.org/release/wordpress-5.0.3.zip\";s:10:\"no_content\";s:70:\"https://downloads.wordpress.org/release/wordpress-5.0.3-no-content.zip\";s:11:\"new_bundled\";s:71:\"https://downloads.wordpress.org/release/wordpress-5.0.3-new-bundled.zip\";s:7:\"partial\";b:0;s:8:\"rollback\";b:0;}s:7:\"current\";s:5:\"5.0.3\";s:7:\"version\";s:5:\"5.0.3\";s:11:\"php_version\";s:5:\"5.2.4\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"5.0\";s:15:\"partial_version\";s:0:\"\";}i:2;O:8:\"stdClass\":11:{s:8:\"response\";s:10:\"autoupdate\";s:8:\"download\";s:65:\"https://downloads.wordpress.org/release/es_ES/wordpress-5.0.3.zip\";s:6:\"locale\";s:5:\"es_ES\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:65:\"https://downloads.wordpress.org/release/es_ES/wordpress-5.0.3.zip\";s:10:\"no_content\";b:0;s:11:\"new_bundled\";b:0;s:7:\"partial\";b:0;s:8:\"rollback\";b:0;}s:7:\"current\";s:5:\"5.0.3\";s:7:\"version\";s:5:\"5.0.3\";s:11:\"php_version\";s:5:\"5.2.4\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"5.0\";s:15:\"partial_version\";s:0:\"\";s:9:\"new_files\";s:1:\"1\";}i:3;O:8:\"stdClass\":11:{s:8:\"response\";s:10:\"autoupdate\";s:8:\"download\";s:65:\"https://downloads.wordpress.org/release/es_ES/wordpress-5.0.2.zip\";s:6:\"locale\";s:5:\"es_ES\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:65:\"https://downloads.wordpress.org/release/es_ES/wordpress-5.0.2.zip\";s:10:\"no_content\";b:0;s:11:\"new_bundled\";b:0;s:7:\"partial\";b:0;s:8:\"rollback\";b:0;}s:7:\"current\";s:5:\"5.0.2\";s:7:\"version\";s:5:\"5.0.2\";s:11:\"php_version\";s:5:\"5.2.4\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"5.0\";s:15:\"partial_version\";s:0:\"\";s:9:\"new_files\";s:1:\"1\";}}s:12:\"last_checked\";i:1547581863;s:15:\"version_checked\";s:5:\"4.9.9\";s:12:\"translations\";a:1:{i:0;a:7:{s:4:\"type\";s:4:\"core\";s:4:\"slug\";s:7:\"default\";s:8:\"language\";s:5:\"es_ES\";s:7:\"version\";s:5:\"4.9.9\";s:7:\"updated\";s:19:\"2018-12-13 14:52:01\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.9.9/es_ES.zip\";s:10:\"autoupdate\";b:1;}}}','no'),(367,'nav_menu_options','a:1:{s:8:\"auto_add\";a:0:{}}','yes'),(449,'category_children','a:0:{}','yes'),(668,'_transient_is_multi_author','0','yes'),(680,'_transient_llorix_one_lite_categories','1','yes');
DROP TABLE IF EXISTS `wp_postmeta`;
CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM AUTO_INCREMENT=456 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `wp_postmeta` VALUES (1,2,'_wp_page_template','default'),(2,4,'_wp_attached_file','2018/10/imago.png'),(3,4,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:512;s:6:\"height\";i:473;s:4:\"file\";s:17:\"2018/10/imago.png\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:17:\"imago-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:17:\"imago-300x277.png\";s:5:\"width\";i:300;s:6:\"height\";i:277;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(4,5,'_wp_attached_file','2018/10/cropped-imago.png'),(5,5,'_wp_attachment_context','site-icon'),(6,5,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:512;s:6:\"height\";i:512;s:4:\"file\";s:25:\"2018/10/cropped-imago.png\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"cropped-imago-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"cropped-imago-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:13:\"site_icon-270\";a:4:{s:4:\"file\";s:25:\"cropped-imago-270x270.png\";s:5:\"width\";i:270;s:6:\"height\";i:270;s:9:\"mime-type\";s:9:\"image/png\";}s:13:\"site_icon-192\";a:4:{s:4:\"file\";s:25:\"cropped-imago-192x192.png\";s:5:\"width\";i:192;s:6:\"height\";i:192;s:9:\"mime-type\";s:9:\"image/png\";}s:13:\"site_icon-180\";a:4:{s:4:\"file\";s:25:\"cropped-imago-180x180.png\";s:5:\"width\";i:180;s:6:\"height\";i:180;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"site_icon-32\";a:4:{s:4:\"file\";s:23:\"cropped-imago-32x32.png\";s:5:\"width\";i:32;s:6:\"height\";i:32;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(354,159,'_wp_attached_file','2018/12/WhatsApp-Image-2018-12-14-at-13.25.11-1.jpeg'),(9,7,'_wp_attached_file','2018/10/logo_heavybox_small.png'),(10,7,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:336;s:6:\"height\";i:240;s:4:\"file\";s:31:\"2018/10/logo_heavybox_small.png\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"logo_heavybox_small-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"logo_heavybox_small-300x214.png\";s:5:\"width\";i:300;s:6:\"height\";i:214;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(23,12,'_wp_attached_file','2018/10/slider.jpg'),(24,12,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1593;s:6:\"height\";i:748;s:4:\"file\";s:18:\"2018/10/slider.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:18:\"slider-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:18:\"slider-300x141.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:141;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:18:\"slider-768x361.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:361;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:19:\"slider-1024x481.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:481;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(27,14,'_wp_attached_file','2018/10/heavybox_nameonly_small.png'),(28,14,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:300;s:6:\"height\";i:55;s:4:\"file\";s:35:\"2018/10/heavybox_nameonly_small.png\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:34:\"heavybox_nameonly_small-150x55.png\";s:5:\"width\";i:150;s:6:\"height\";i:55;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:34:\"heavybox_nameonly_small-300x55.png\";s:5:\"width\";i:300;s:6:\"height\";i:55;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(34,18,'_wp_attached_file','2018/10/asesoria.jpg'),(35,18,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:200;s:6:\"height\";i:200;s:4:\"file\";s:20:\"2018/10/asesoria.jpg\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:20:\"asesoria-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(39,20,'_wp_attached_file','2018/10/entrega24hrs.jpg'),(40,20,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:200;s:6:\"height\";i:200;s:4:\"file\";s:24:\"2018/10/entrega24hrs.jpg\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"entrega24hrs-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(44,22,'_wp_attached_file','2018/10/desarrollo.jpg'),(45,22,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:200;s:6:\"height\";i:200;s:4:\"file\";s:22:\"2018/10/desarrollo.jpg\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:22:\"desarrollo-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(49,24,'_wp_attached_file','2018/10/caja-regular.jpg'),(50,24,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:200;s:6:\"height\";i:200;s:4:\"file\";s:24:\"2018/10/caja-regular.jpg\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"caja-regular-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(54,26,'_wp_attached_file','2018/10/cajas-troqueladas.jpg'),(55,26,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:200;s:6:\"height\";i:200;s:4:\"file\";s:29:\"2018/10/cajas-troqueladas.jpg\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:29:\"cajas-troqueladas-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(56,27,'_wp_attached_file','2018/10/flexografia.jpg'),(57,27,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:200;s:6:\"height\";i:200;s:4:\"file\";s:23:\"2018/10/flexografia.jpg\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"flexografia-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(58,28,'_wp_attached_file','2018/10/corrugados.jpg'),(59,28,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:200;s:6:\"height\";i:200;s:4:\"file\";s:22:\"2018/10/corrugados.jpg\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:22:\"corrugados-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(64,30,'_form','<label> Tu nombre (requerido)\n    [text* your-name] </label>\n\n<label> Tu correo electrónico (requerido)\n    [email* your-email] </label>\n\n<label> Asunto\n    [text your-subject] </label>\n\n<label> Tu mensaje\n    [textarea your-message] </label>\n\n[submit \"Enviar\"]'),(65,30,'_mail','a:9:{s:6:\"active\";b:1;s:7:\"subject\";s:26:\"Heavy Box \"[your-subject]\"\";s:6:\"sender\";s:42:\"[your-name] <wordpress@heavybox.parcon.mx>\";s:9:\"recipient\";s:33:\"atencionaclientes@heavybox.com.mx\";s:4:\"body\";s:195:\"De: [your-name] <[your-email]>\nAsunto: [your-subject]\n\nCuerpo del mensaje:\n[your-message]\n\n-- \nEste mensaje se ha enviado desde un formulario de contacto en Heavy Box (https://heavybox.parcon.mx)\";s:18:\"additional_headers\";s:22:\"Reply-To: [your-email]\";s:11:\"attachments\";s:0:\"\";s:8:\"use_html\";b:0;s:13:\"exclude_blank\";b:0;}'),(66,30,'_mail_2','a:9:{s:6:\"active\";b:0;s:7:\"subject\";s:26:\"Heavy Box \"[your-subject]\"\";s:6:\"sender\";s:40:\"Heavy Box <wordpress@heavybox.parcon.mx>\";s:9:\"recipient\";s:12:\"[your-email]\";s:4:\"body\";s:140:\"Cuerpo del mensaje:\n[your-message]\n\n-- \nEste mensaje se ha enviado desde un formulario de contacto en Heavy Box (https://heavybox.parcon.mx)\";s:18:\"additional_headers\";s:28:\"Reply-To: shybwy@hotmail.com\";s:11:\"attachments\";s:0:\"\";s:8:\"use_html\";b:0;s:13:\"exclude_blank\";b:0;}'),(67,30,'_messages','a:23:{s:12:\"mail_sent_ok\";s:40:\"Gracias por tu mensaje. Ha sido enviado.\";s:12:\"mail_sent_ng\";s:85:\"Hubo un error intentando enviar tu mensaje. Por favor inténtalo de nuevo más tarde.\";s:16:\"validation_error\";s:74:\"Uno o más campos tienen un error. Por favor revisa e inténtalo de nuevo.\";s:4:\"spam\";s:85:\"Hubo un error intentando enviar tu mensaje. Por favor inténtalo de nuevo más tarde.\";s:12:\"accept_terms\";s:69:\"Debes aceptar los términos y condiciones antes de enviar tu mensaje.\";s:16:\"invalid_required\";s:24:\"El campo es obligatorio.\";s:16:\"invalid_too_long\";s:28:\"El campo es demasiado largo.\";s:17:\"invalid_too_short\";s:28:\"El campo es demasiado corto.\";s:12:\"invalid_date\";s:34:\"El formato de fecha es incorrecto.\";s:14:\"date_too_early\";s:50:\"La fecha es anterior a la más temprana permitida.\";s:13:\"date_too_late\";s:50:\"La fecha es posterior a la más tardía permitida.\";s:13:\"upload_failed\";s:46:\"Hubo un error desconocido subiendo el archivo.\";s:24:\"upload_file_type_invalid\";s:52:\"No tienes permisos para subir archivos de este tipo.\";s:21:\"upload_file_too_large\";s:31:\"El archivo es demasiado grande.\";s:23:\"upload_failed_php_error\";s:43:\"Se ha producido un error subiendo la imagen\";s:14:\"invalid_number\";s:36:\"El formato de número no es válido.\";s:16:\"number_too_small\";s:45:\"El número es menor que el mínimo permitido.\";s:16:\"number_too_large\";s:45:\"El número es mayor que el máximo permitido.\";s:23:\"quiz_answer_not_correct\";s:44:\"La respuesta al cuestionario no es correcta.\";s:17:\"captcha_not_match\";s:37:\"El código introducido es incorrecto.\";s:13:\"invalid_email\";s:71:\"La dirección de correo electrónico que has introducido no es válida.\";s:11:\"invalid_url\";s:21:\"La URL no es válida.\";s:11:\"invalid_tel\";s:38:\"El número de teléfono no es válido.\";}'),(68,30,'_additional_settings',''),(69,30,'_locale','es_ES'),(70,1,'_edit_lock','1540220019:1'),(71,32,'_wp_attached_file','2018/10/tuny.png'),(72,32,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:272;s:6:\"height\";i:185;s:4:\"file\";s:16:\"2018/10/tuny.png\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:16:\"tuny-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(73,1,'_edit_last','1'),(75,34,'_edit_last','1'),(76,34,'_edit_lock','1540220269:1'),(77,35,'_wp_attached_file','2018/10/bigbang.png'),(78,35,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:200;s:6:\"height\";i:146;s:4:\"file\";s:19:\"2018/10/bigbang.png\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"bigbang-150x146.png\";s:5:\"width\";i:150;s:6:\"height\";i:146;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(80,37,'_edit_last','1'),(81,37,'_edit_lock','1540220247:1'),(82,38,'_wp_attached_file','2018/10/castor.png'),(83,38,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:251;s:6:\"height\";i:201;s:4:\"file\";s:18:\"2018/10/castor.png\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:18:\"castor-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(100,50,'_wp_attached_file','2018/11/slider_heavybox.jpg'),(85,2,'_edit_lock','1542048484:1'),(86,2,'_edit_last','1'),(87,42,'_wp_attached_file','2018/10/logo_heavybox2_small.png'),(88,42,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:400;s:6:\"height\";i:156;s:4:\"file\";s:32:\"2018/10/logo_heavybox2_small.png\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:32:\"logo_heavybox2_small-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:32:\"logo_heavybox2_small-300x117.png\";s:5:\"width\";i:300;s:6:\"height\";i:117;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(90,44,'_wp_attached_file','2018/10/logo_heavybox2_small_white.png'),(91,44,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:400;s:6:\"height\";i:156;s:4:\"file\";s:38:\"2018/10/logo_heavybox2_small_white.png\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"logo_heavybox2_small_white-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"logo_heavybox2_small_white-300x117.png\";s:5:\"width\";i:300;s:6:\"height\";i:117;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(96,48,'_wp_attached_file','2018/10/slide_heavyboxr.jpg'),(97,48,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1593;s:6:\"height\";i:748;s:4:\"file\";s:27:\"2018/10/slide_heavyboxr.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"slide_heavyboxr-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"slide_heavyboxr-300x141.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:141;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"slide_heavyboxr-768x361.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:361;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"slide_heavyboxr-1024x481.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:481;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(101,50,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1593;s:6:\"height\";i:748;s:4:\"file\";s:27:\"2018/11/slider_heavybox.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"slider_heavybox-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"slider_heavybox-300x141.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:141;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"slider_heavybox-768x361.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:361;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"slider_heavybox-1024x481.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:481;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(104,52,'_wp_attached_file','2018/11/slider_heavybox-1.jpg'),(105,52,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1593;s:6:\"height\";i:748;s:4:\"file\";s:29:\"2018/11/slider_heavybox-1.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:29:\"slider_heavybox-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:29:\"slider_heavybox-1-300x141.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:141;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:29:\"slider_heavybox-1-768x361.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:361;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:30:\"slider_heavybox-1-1024x481.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:481;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(113,56,'_edit_last','1'),(114,56,'_edit_lock','1544834253:1'),(115,56,'_wp_page_template','default'),(127,62,'_wp_attached_file','2018/11/cropped-slider_heavybox-1.jpg'),(128,62,'_wp_attachment_context','custom-header'),(129,62,'_wp_attachment_metadata','a:6:{s:5:\"width\";i:1101;s:6:\"height\";i:748;s:4:\"file\";s:37:\"2018/11/cropped-slider_heavybox-1.jpg\";s:5:\"sizes\";a:7:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:37:\"cropped-slider_heavybox-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:37:\"cropped-slider_heavybox-1-300x204.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:204;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:37:\"cropped-slider_heavybox-1-768x522.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:522;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:38:\"cropped-slider_heavybox-1-1024x696.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:696;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:34:\"llorix-one-lite-post-thumbnail-big\";a:4:{s:4:\"file\";s:37:\"cropped-slider_heavybox-1-730x340.jpg\";s:5:\"width\";i:730;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:37:\"cropped-slider_heavybox-1-500x233.jpg\";s:5:\"width\";i:500;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:37:\"cropped-slider_heavybox-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:17:\"attachment_parent\";i:52;}'),(130,62,'_wp_attachment_custom_header_last_used_llorix-one-lite','1542050948'),(131,62,'_wp_attachment_is_custom_header','llorix-one-lite'),(134,64,'_wp_attached_file','2018/11/heavybox1.jpg'),(135,64,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:622;s:4:\"file\";s:21:\"2018/11/heavybox1.jpg\";s:5:\"sizes\";a:7:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:21:\"heavybox1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:21:\"heavybox1-300x146.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:146;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:21:\"heavybox1-768x373.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:373;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:22:\"heavybox1-1024x498.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:498;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:34:\"llorix-one-lite-post-thumbnail-big\";a:4:{s:4:\"file\";s:21:\"heavybox1-730x340.jpg\";s:5:\"width\";i:730;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:21:\"heavybox1-500x233.jpg\";s:5:\"width\";i:500;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:21:\"heavybox1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(136,65,'_wp_attached_file','2018/11/cropped-heavybox1.jpg'),(137,65,'_wp_attachment_context','custom-header'),(138,65,'_wp_attachment_metadata','a:6:{s:5:\"width\";i:915;s:6:\"height\";i:622;s:4:\"file\";s:29:\"2018/11/cropped-heavybox1.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:29:\"cropped-heavybox1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:29:\"cropped-heavybox1-300x204.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:204;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:29:\"cropped-heavybox1-768x522.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:522;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:34:\"llorix-one-lite-post-thumbnail-big\";a:4:{s:4:\"file\";s:29:\"cropped-heavybox1-730x340.jpg\";s:5:\"width\";i:730;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:29:\"cropped-heavybox1-500x233.jpg\";s:5:\"width\";i:500;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:29:\"cropped-heavybox1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:17:\"attachment_parent\";i:64;}'),(139,65,'_wp_attachment_custom_header_last_used_llorix-one-lite','1542051044'),(140,65,'_wp_attachment_is_custom_header','llorix-one-lite'),(353,158,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:960;s:4:\"file\";s:50:\"2018/12/WhatsApp-Image-2018-12-14-at-13.25.10.jpeg\";s:5:\"sizes\";a:7:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.10-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.10-300x225.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.10-768x576.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:51:\"WhatsApp-Image-2018-12-14-at-13.25.10-1024x768.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:34:\"llorix-one-lite-post-thumbnail-big\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.10-730x340.jpeg\";s:5:\"width\";i:730;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.10-500x233.jpeg\";s:5:\"width\";i:500;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.10-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(352,158,'_wp_attached_file','2018/12/WhatsApp-Image-2018-12-14-at-13.25.10.jpeg'),(146,69,'_wp_attached_file','2018/11/WhatsApp-Image-2018-10-29-at-18.08.26-e1542051916864.jpeg'),(147,69,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:620;s:6:\"height\";i:899;s:4:\"file\";s:65:\"2018/11/WhatsApp-Image-2018-10-29-at-18.08.26-e1542051916864.jpeg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:65:\"WhatsApp-Image-2018-10-29-at-18.08.26-e1542051916864-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:65:\"WhatsApp-Image-2018-10-29-at-18.08.26-e1542051916864-207x300.jpeg\";s:5:\"width\";i:207;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:51:\"WhatsApp-Image-2018-10-29-at-18.08.26-498x1024.jpeg\";s:5:\"width\";i:498;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:34:\"llorix-one-lite-post-thumbnail-big\";a:4:{s:4:\"file\";s:65:\"WhatsApp-Image-2018-10-29-at-18.08.26-e1542051916864-620x340.jpeg\";s:5:\"width\";i:620;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:65:\"WhatsApp-Image-2018-10-29-at-18.08.26-e1542051916864-500x233.jpeg\";s:5:\"width\";i:500;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:65:\"WhatsApp-Image-2018-10-29-at-18.08.26-e1542051916864-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(148,69,'_edit_lock','1542213482:1'),(149,69,'_edit_last','1'),(150,69,'_wp_attachment_backup_sizes','a:7:{s:9:\"full-orig\";a:3:{s:5:\"width\";i:622;s:6:\"height\";i:1280;s:4:\"file\";s:42:\"WhatsApp-Image-2018-10-29-at-18.08.26.jpeg\";}s:14:\"thumbnail-orig\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-10-29-at-18.08.26-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"medium-orig\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-10-29-at-18.08.26-146x300.jpeg\";s:5:\"width\";i:146;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"large-orig\";a:4:{s:4:\"file\";s:51:\"WhatsApp-Image-2018-10-29-at-18.08.26-498x1024.jpeg\";s:5:\"width\";i:498;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:39:\"llorix-one-lite-post-thumbnail-big-orig\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-10-29-at-18.08.26-622x340.jpeg\";s:5:\"width\";i:622;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-mobile-orig\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-10-29-at-18.08.26-500x233.jpeg\";s:5:\"width\";i:500;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:47:\"llorix-one-lite-post-thumbnail-latest-news-orig\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-10-29-at-18.08.26-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}'),(159,72,'_wp_attached_file','2018/11/slider_heavybox_claro.jpg'),(160,72,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1593;s:6:\"height\";i:748;s:4:\"file\";s:33:\"2018/11/slider_heavybox_claro.jpg\";s:5:\"sizes\";a:7:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:33:\"slider_heavybox_claro-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:33:\"slider_heavybox_claro-300x141.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:141;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:33:\"slider_heavybox_claro-768x361.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:361;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:34:\"slider_heavybox_claro-1024x481.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:481;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:34:\"llorix-one-lite-post-thumbnail-big\";a:4:{s:4:\"file\";s:33:\"slider_heavybox_claro-730x340.jpg\";s:5:\"width\";i:730;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:33:\"slider_heavybox_claro-500x233.jpg\";s:5:\"width\";i:500;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:33:\"slider_heavybox_claro-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(161,73,'_wp_attached_file','2018/11/cropped-slider_heavybox_claro.jpg'),(162,73,'_wp_attachment_context','custom-header'),(163,73,'_wp_attachment_metadata','a:6:{s:5:\"width\";i:1100;s:6:\"height\";i:748;s:4:\"file\";s:41:\"2018/11/cropped-slider_heavybox_claro.jpg\";s:5:\"sizes\";a:7:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:41:\"cropped-slider_heavybox_claro-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:41:\"cropped-slider_heavybox_claro-300x204.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:204;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:41:\"cropped-slider_heavybox_claro-768x522.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:522;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:42:\"cropped-slider_heavybox_claro-1024x696.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:696;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:34:\"llorix-one-lite-post-thumbnail-big\";a:4:{s:4:\"file\";s:41:\"cropped-slider_heavybox_claro-730x340.jpg\";s:5:\"width\";i:730;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:41:\"cropped-slider_heavybox_claro-500x233.jpg\";s:5:\"width\";i:500;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:41:\"cropped-slider_heavybox_claro-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:17:\"attachment_parent\";i:72;}'),(164,73,'_wp_attachment_custom_header_last_used_llorix-one-lite','1542214616'),(165,73,'_wp_attachment_is_custom_header','llorix-one-lite'),(185,81,'_wp_attached_file','2018/11/cajas-de-carton.jpg'),(186,81,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:720;s:6:\"height\";i:720;s:4:\"file\";s:27:\"2018/11/cajas-de-carton.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"cajas-de-carton-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"cajas-de-carton-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:34:\"llorix-one-lite-post-thumbnail-big\";a:4:{s:4:\"file\";s:27:\"cajas-de-carton-720x340.jpg\";s:5:\"width\";i:720;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:27:\"cajas-de-carton-500x233.jpg\";s:5:\"width\";i:500;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:27:\"cajas-de-carton-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(187,82,'_wp_attached_file','2018/11/heavybox2.jpg'),(188,82,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:622;s:6:\"height\";i:572;s:4:\"file\";s:21:\"2018/11/heavybox2.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:21:\"heavybox2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:21:\"heavybox2-300x276.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:276;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:34:\"llorix-one-lite-post-thumbnail-big\";a:4:{s:4:\"file\";s:21:\"heavybox2-622x340.jpg\";s:5:\"width\";i:622;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:21:\"heavybox2-500x233.jpg\";s:5:\"width\";i:500;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:21:\"heavybox2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(195,85,'_wp_attached_file','2018/11/cajas-de-carton2.jpg'),(196,85,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:1000;s:4:\"file\";s:28:\"2018/11/cajas-de-carton2.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:28:\"cajas-de-carton2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:28:\"cajas-de-carton2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:28:\"cajas-de-carton2-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:34:\"llorix-one-lite-post-thumbnail-big\";a:4:{s:4:\"file\";s:28:\"cajas-de-carton2-730x340.jpg\";s:5:\"width\";i:730;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:28:\"cajas-de-carton2-500x233.jpg\";s:5:\"width\";i:500;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:28:\"cajas-de-carton2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(202,89,'_wp_attached_file','2018/11/trabajador-fabrica-de-carton.jpg'),(203,89,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:450;s:6:\"height\";i:300;s:4:\"file\";s:40:\"2018/11/trabajador-fabrica-de-carton.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:40:\"trabajador-fabrica-de-carton-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:40:\"trabajador-fabrica-de-carton-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:40:\"trabajador-fabrica-de-carton-450x233.jpg\";s:5:\"width\";i:450;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:40:\"trabajador-fabrica-de-carton-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(204,90,'_wp_attached_file','2018/11/trabajador-fabrica-de-carton-1.jpg'),(205,90,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:260;s:6:\"height\";i:260;s:4:\"file\";s:42:\"2018/11/trabajador-fabrica-de-carton-1.jpg\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:42:\"trabajador-fabrica-de-carton-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:42:\"trabajador-fabrica-de-carton-1-260x233.jpg\";s:5:\"width\";i:260;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:42:\"trabajador-fabrica-de-carton-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(206,91,'_wp_attached_file','2018/11/trabajador-carton.jpg'),(207,91,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:260;s:6:\"height\";i:260;s:4:\"file\";s:29:\"2018/11/trabajador-carton.jpg\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:29:\"trabajador-carton-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:29:\"trabajador-carton-260x233.jpg\";s:5:\"width\";i:260;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:29:\"trabajador-carton-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(211,93,'_wp_attached_file','2018/11/organizacion-carton.jpg'),(212,93,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:260;s:6:\"height\";i:260;s:4:\"file\";s:31:\"2018/11/organizacion-carton.jpg\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"organizacion-carton-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:31:\"organizacion-carton-260x233.jpg\";s:5:\"width\";i:260;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:31:\"organizacion-carton-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(216,95,'_wp_attached_file','2018/11/logo_elcastor.jpg'),(217,95,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:260;s:6:\"height\";i:260;s:4:\"file\";s:25:\"2018/11/logo_elcastor.jpg\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"logo_elcastor-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:25:\"logo_elcastor-260x233.jpg\";s:5:\"width\";i:260;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:25:\"logo_elcastor-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(218,96,'_wp_attached_file','2018/11/logo_tuny.jpg'),(219,96,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:260;s:6:\"height\";i:260;s:4:\"file\";s:21:\"2018/11/logo_tuny.jpg\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:21:\"logo_tuny-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:21:\"logo_tuny-260x233.jpg\";s:5:\"width\";i:260;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:21:\"logo_tuny-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(220,97,'_wp_attached_file','2018/11/logo_perdura.jpg'),(221,97,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:260;s:6:\"height\";i:260;s:4:\"file\";s:24:\"2018/11/logo_perdura.jpg\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"logo_perdura-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:24:\"logo_perdura-260x233.jpg\";s:5:\"width\";i:260;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:24:\"logo_perdura-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(227,99,'_wp_attached_file','2018/11/maquina-carton.jpg'),(228,99,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:960;s:6:\"height\";i:1280;s:4:\"file\";s:26:\"2018/11/maquina-carton.jpg\";s:5:\"sizes\";a:7:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"maquina-carton-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"maquina-carton-225x300.jpg\";s:5:\"width\";i:225;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"maquina-carton-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:27:\"maquina-carton-768x1024.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:34:\"llorix-one-lite-post-thumbnail-big\";a:4:{s:4:\"file\";s:26:\"maquina-carton-730x340.jpg\";s:5:\"width\";i:730;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:26:\"maquina-carton-500x233.jpg\";s:5:\"width\";i:500;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:26:\"maquina-carton-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(246,107,'_edit_last','1'),(247,107,'_edit_lock','1542244292:1'),(248,107,'_wp_page_template','default'),(251,111,'_menu_item_type','custom'),(252,111,'_menu_item_menu_item_parent','0'),(253,111,'_menu_item_object_id','111'),(254,111,'_menu_item_object','custom'),(255,111,'_menu_item_target',''),(256,111,'_menu_item_classes','a:1:{i:0;s:0:\"\";}'),(257,111,'_menu_item_xfn',''),(258,111,'_menu_item_url','https://heavybox.parcon.mx'),(267,113,'_menu_item_type','post_type'),(268,113,'_menu_item_menu_item_parent','0'),(269,113,'_menu_item_object_id','2'),(270,113,'_menu_item_object','page'),(271,113,'_menu_item_target',''),(272,113,'_menu_item_classes','a:1:{i:0;s:0:\"\";}'),(273,113,'_menu_item_xfn',''),(274,113,'_menu_item_url',''),(275,114,'_menu_item_type','post_type'),(276,114,'_menu_item_menu_item_parent','0'),(277,114,'_menu_item_object_id','56'),(278,114,'_menu_item_object','page'),(279,114,'_menu_item_target',''),(280,114,'_menu_item_classes','a:1:{i:0;s:0:\"\";}'),(281,114,'_menu_item_xfn',''),(282,114,'_menu_item_url',''),(455,210,'_wp_trash_meta_time','1545077700'),(454,210,'_wp_trash_meta_status','publish'),(453,210,'_edit_lock','1545077694:1'),(452,208,'_wp_trash_meta_time','1545077329'),(450,208,'_edit_lock','1545077318:1'),(451,208,'_wp_trash_meta_status','publish'),(304,124,'_wp_attached_file','2018/11/logo_heavybox.jpg'),(305,124,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:471;s:6:\"height\";i:514;s:4:\"file\";s:25:\"2018/11/logo_heavybox.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"logo_heavybox-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"logo_heavybox-275x300.jpg\";s:5:\"width\";i:275;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:34:\"llorix-one-lite-post-thumbnail-big\";a:4:{s:4:\"file\";s:25:\"logo_heavybox-471x340.jpg\";s:5:\"width\";i:471;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:25:\"logo_heavybox-471x233.jpg\";s:5:\"width\";i:471;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:25:\"logo_heavybox-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(448,207,'_wp_trash_meta_status','publish'),(307,126,'_wp_attached_file','2018/11/logo_heavybox.png'),(308,126,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:300;s:6:\"height\";i:327;s:4:\"file\";s:25:\"2018/11/logo_heavybox.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"logo_heavybox-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"logo_heavybox-275x300.png\";s:5:\"width\";i:275;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:25:\"logo_heavybox-300x233.png\";s:5:\"width\";i:300;s:6:\"height\";i:233;s:9:\"mime-type\";s:9:\"image/png\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:25:\"logo_heavybox-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(309,127,'_wp_attached_file','2018/11/logo_heavybox_white.png'),(310,127,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:300;s:6:\"height\";i:327;s:4:\"file\";s:31:\"2018/11/logo_heavybox_white.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"logo_heavybox_white-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"logo_heavybox_white-275x300.png\";s:5:\"width\";i:275;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:31:\"logo_heavybox_white-300x233.png\";s:5:\"width\";i:300;s:6:\"height\";i:233;s:9:\"mime-type\";s:9:\"image/png\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:31:\"logo_heavybox_white-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(449,207,'_wp_trash_meta_time','1545077207'),(447,207,'_edit_lock','1545077198:1'),(446,206,'_wp_trash_meta_time','1545077026'),(315,129,'_wp_attached_file','2018/11/logo_heavybox3.png'),(316,129,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:400;s:6:\"height\";i:154;s:4:\"file\";s:26:\"2018/11/logo_heavybox3.png\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"logo_heavybox3-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"logo_heavybox3-300x116.png\";s:5:\"width\";i:300;s:6:\"height\";i:116;s:9:\"mime-type\";s:9:\"image/png\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:26:\"logo_heavybox3-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(445,206,'_wp_trash_meta_status','publish'),(444,206,'_edit_lock','1545077017:1'),(355,159,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:960;s:4:\"file\";s:52:\"2018/12/WhatsApp-Image-2018-12-14-at-13.25.11-1.jpeg\";s:5:\"sizes\";a:7:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.11-1-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.11-1-300x225.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.11-1-768x576.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:53:\"WhatsApp-Image-2018-12-14-at-13.25.11-1-1024x768.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:34:\"llorix-one-lite-post-thumbnail-big\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.11-1-730x340.jpeg\";s:5:\"width\";i:730;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.11-1-500x233.jpeg\";s:5:\"width\";i:500;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.11-1-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(356,160,'_wp_attached_file','2018/12/WhatsApp-Image-2018-12-14-at-13.25.11.jpeg'),(357,160,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:960;s:4:\"file\";s:50:\"2018/12/WhatsApp-Image-2018-12-14-at-13.25.11.jpeg\";s:5:\"sizes\";a:7:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.11-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.11-300x225.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.11-768x576.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:51:\"WhatsApp-Image-2018-12-14-at-13.25.11-1024x768.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:34:\"llorix-one-lite-post-thumbnail-big\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.11-730x340.jpeg\";s:5:\"width\";i:730;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.11-500x233.jpeg\";s:5:\"width\";i:500;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.11-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(358,161,'_wp_attached_file','2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-2.jpeg'),(359,161,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:960;s:4:\"file\";s:52:\"2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-2.jpeg\";s:5:\"sizes\";a:7:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.12-2-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.12-2-300x225.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.12-2-768x576.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:53:\"WhatsApp-Image-2018-12-14-at-13.25.12-2-1024x768.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:34:\"llorix-one-lite-post-thumbnail-big\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.12-2-730x340.jpeg\";s:5:\"width\";i:730;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.12-2-500x233.jpeg\";s:5:\"width\";i:500;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.12-2-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(360,162,'_wp_attached_file','2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg'),(361,162,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:770;s:4:\"file\";s:52:\"2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\";s:5:\"sizes\";a:7:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.12-1-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.12-1-300x180.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:180;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.12-1-768x462.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:462;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:53:\"WhatsApp-Image-2018-12-14-at-13.25.12-1-1024x616.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:616;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:34:\"llorix-one-lite-post-thumbnail-big\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.12-1-730x340.jpeg\";s:5:\"width\";i:730;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.12-1-500x233.jpeg\";s:5:\"width\";i:500;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.12-1-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(362,163,'_wp_attached_file','2018/12/WhatsApp-Image-2018-12-14-at-13.25.12.jpeg'),(363,163,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:960;s:4:\"file\";s:50:\"2018/12/WhatsApp-Image-2018-12-14-at-13.25.12.jpeg\";s:5:\"sizes\";a:7:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.12-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.12-300x225.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.12-768x576.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:51:\"WhatsApp-Image-2018-12-14-at-13.25.12-1024x768.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:34:\"llorix-one-lite-post-thumbnail-big\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.12-730x340.jpeg\";s:5:\"width\";i:730;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.12-500x233.jpeg\";s:5:\"width\";i:500;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.12-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}');
INSERT INTO `wp_postmeta` VALUES (364,164,'_wp_attached_file','2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg'),(365,164,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:960;s:4:\"file\";s:52:\"2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\";s:5:\"sizes\";a:7:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.13-1-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.13-1-300x225.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.13-1-768x576.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:53:\"WhatsApp-Image-2018-12-14-at-13.25.13-1-1024x768.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:34:\"llorix-one-lite-post-thumbnail-big\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.13-1-730x340.jpeg\";s:5:\"width\";i:730;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.13-1-500x233.jpeg\";s:5:\"width\";i:500;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:52:\"WhatsApp-Image-2018-12-14-at-13.25.13-1-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(366,165,'_wp_attached_file','2018/12/WhatsApp-Image-2018-12-14-at-13.25.13.jpeg'),(367,165,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:960;s:4:\"file\";s:50:\"2018/12/WhatsApp-Image-2018-12-14-at-13.25.13.jpeg\";s:5:\"sizes\";a:7:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.13-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.13-300x225.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.13-768x576.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:51:\"WhatsApp-Image-2018-12-14-at-13.25.13-1024x768.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:34:\"llorix-one-lite-post-thumbnail-big\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.13-730x340.jpeg\";s:5:\"width\";i:730;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.13-500x233.jpeg\";s:5:\"width\";i:500;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.13-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(368,166,'_wp_attached_file','2018/12/WhatsApp-Image-2018-12-14-at-13.25.14.jpeg'),(369,166,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:960;s:6:\"height\";i:1280;s:4:\"file\";s:50:\"2018/12/WhatsApp-Image-2018-12-14-at-13.25.14.jpeg\";s:5:\"sizes\";a:7:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.14-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.14-225x300.jpeg\";s:5:\"width\";i:225;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:51:\"WhatsApp-Image-2018-12-14-at-13.25.14-768x1024.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:51:\"WhatsApp-Image-2018-12-14-at-13.25.14-768x1024.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:34:\"llorix-one-lite-post-thumbnail-big\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.14-730x340.jpeg\";s:5:\"width\";i:730;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.14-500x233.jpeg\";s:5:\"width\";i:500;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:50:\"WhatsApp-Image-2018-12-14-at-13.25.14-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(370,167,'_wp_attached_file','2018/12/WhatsApp-Video-2018-12-14-at-13.25.14-3.mp4'),(371,167,'_wp_attachment_metadata','a:10:{s:8:\"filesize\";i:1290650;s:9:\"mime_type\";s:9:\"video/mp4\";s:6:\"length\";i:6;s:16:\"length_formatted\";s:4:\"0:06\";s:5:\"width\";i:848;s:6:\"height\";i:480;s:10:\"fileformat\";s:3:\"mp4\";s:10:\"dataformat\";s:9:\"quicktime\";s:5:\"audio\";a:7:{s:10:\"dataformat\";s:3:\"mp4\";s:5:\"codec\";s:19:\"ISO/IEC 14496-3 AAC\";s:11:\"sample_rate\";d:44100;s:8:\"channels\";i:2;s:15:\"bits_per_sample\";i:16;s:8:\"lossless\";b:0;s:11:\"channelmode\";s:6:\"stereo\";}s:17:\"created_timestamp\";i:1544814566;}'),(372,168,'_wp_attached_file','2018/12/WhatsApp-Video-2018-12-14-at-13.25.14-1.mp4'),(373,168,'_wp_attachment_metadata','a:10:{s:8:\"filesize\";i:1894935;s:9:\"mime_type\";s:9:\"video/mp4\";s:6:\"length\";i:9;s:16:\"length_formatted\";s:4:\"0:09\";s:5:\"width\";i:848;s:6:\"height\";i:480;s:10:\"fileformat\";s:3:\"mp4\";s:10:\"dataformat\";s:9:\"quicktime\";s:5:\"audio\";a:7:{s:10:\"dataformat\";s:3:\"mp4\";s:5:\"codec\";s:19:\"ISO/IEC 14496-3 AAC\";s:11:\"sample_rate\";d:44100;s:8:\"channels\";i:2;s:15:\"bits_per_sample\";i:16;s:8:\"lossless\";b:0;s:11:\"channelmode\";s:6:\"stereo\";}s:17:\"created_timestamp\";i:1544814565;}'),(374,169,'_wp_attached_file','2018/12/WhatsApp-Video-2018-12-14-at-13.25.14.mp4'),(375,169,'_wp_attachment_metadata','a:10:{s:8:\"filesize\";i:1894935;s:9:\"mime_type\";s:9:\"video/mp4\";s:6:\"length\";i:9;s:16:\"length_formatted\";s:4:\"0:09\";s:5:\"width\";i:848;s:6:\"height\";i:480;s:10:\"fileformat\";s:3:\"mp4\";s:10:\"dataformat\";s:9:\"quicktime\";s:5:\"audio\";a:7:{s:10:\"dataformat\";s:3:\"mp4\";s:5:\"codec\";s:19:\"ISO/IEC 14496-3 AAC\";s:11:\"sample_rate\";d:44100;s:8:\"channels\";i:2;s:15:\"bits_per_sample\";i:16;s:8:\"lossless\";b:0;s:11:\"channelmode\";s:6:\"stereo\";}s:17:\"created_timestamp\";i:1544814565;}'),(376,170,'_wp_attached_file','2018/12/WhatsApp-Video-2018-12-14-at-13.25.14-2.mp4'),(377,170,'_wp_attachment_metadata','a:10:{s:8:\"filesize\";i:1192943;s:9:\"mime_type\";s:9:\"video/mp4\";s:6:\"length\";i:5;s:16:\"length_formatted\";s:4:\"0:05\";s:5:\"width\";i:848;s:6:\"height\";i:480;s:10:\"fileformat\";s:3:\"mp4\";s:10:\"dataformat\";s:9:\"quicktime\";s:5:\"audio\";a:7:{s:10:\"dataformat\";s:3:\"mp4\";s:5:\"codec\";s:19:\"ISO/IEC 14496-3 AAC\";s:11:\"sample_rate\";d:44100;s:8:\"channels\";i:2;s:15:\"bits_per_sample\";i:16;s:8:\"lossless\";b:0;s:11:\"channelmode\";s:6:\"stereo\";}s:17:\"created_timestamp\";i:1544814563;}'),(378,171,'_wp_attached_file','2018/12/WhatsApp-Video-2018-12-14-at-13.25.13.mp4'),(379,171,'_wp_attachment_metadata','a:10:{s:8:\"filesize\";i:2657937;s:9:\"mime_type\";s:9:\"video/mp4\";s:6:\"length\";i:13;s:16:\"length_formatted\";s:4:\"0:13\";s:5:\"width\";i:848;s:6:\"height\";i:480;s:10:\"fileformat\";s:3:\"mp4\";s:10:\"dataformat\";s:9:\"quicktime\";s:5:\"audio\";a:7:{s:10:\"dataformat\";s:3:\"mp4\";s:5:\"codec\";s:19:\"ISO/IEC 14496-3 AAC\";s:11:\"sample_rate\";d:44100;s:8:\"channels\";i:2;s:15:\"bits_per_sample\";i:16;s:8:\"lossless\";b:0;s:11:\"channelmode\";s:6:\"stereo\";}s:17:\"created_timestamp\";i:1544814562;}'),(380,172,'_wp_attached_file','2018/12/WhatsApp-Video-2018-12-14-at-13.25.13-1.mp4'),(381,172,'_wp_attachment_metadata','a:10:{s:8:\"filesize\";i:1394325;s:9:\"mime_type\";s:9:\"video/mp4\";s:6:\"length\";i:6;s:16:\"length_formatted\";s:4:\"0:06\";s:5:\"width\";i:848;s:6:\"height\";i:480;s:10:\"fileformat\";s:3:\"mp4\";s:10:\"dataformat\";s:9:\"quicktime\";s:5:\"audio\";a:7:{s:10:\"dataformat\";s:3:\"mp4\";s:5:\"codec\";s:19:\"ISO/IEC 14496-3 AAC\";s:11:\"sample_rate\";d:44100;s:8:\"channels\";i:2;s:15:\"bits_per_sample\";i:16;s:8:\"lossless\";b:0;s:11:\"channelmode\";s:6:\"stereo\";}s:17:\"created_timestamp\";i:1544814560;}'),(382,173,'_wp_attached_file','2018/12/WhatsApp-Video-2018-12-14-at-13.25.12.mp4'),(383,173,'_wp_attachment_metadata','a:10:{s:8:\"filesize\";i:1902292;s:9:\"mime_type\";s:9:\"video/mp4\";s:6:\"length\";i:8;s:16:\"length_formatted\";s:4:\"0:08\";s:5:\"width\";i:848;s:6:\"height\";i:480;s:10:\"fileformat\";s:3:\"mp4\";s:10:\"dataformat\";s:9:\"quicktime\";s:5:\"audio\";a:7:{s:10:\"dataformat\";s:3:\"mp4\";s:5:\"codec\";s:19:\"ISO/IEC 14496-3 AAC\";s:11:\"sample_rate\";d:44100;s:8:\"channels\";i:2;s:15:\"bits_per_sample\";i:16;s:8:\"lossless\";b:0;s:11:\"channelmode\";s:6:\"stereo\";}s:17:\"created_timestamp\";i:1544814558;}'),(384,174,'_wp_attached_file','2018/12/WhatsApp-Video-2018-12-14-at-13.25.11.mp4'),(385,174,'_wp_attachment_metadata','a:10:{s:8:\"filesize\";i:1949534;s:9:\"mime_type\";s:9:\"video/mp4\";s:6:\"length\";i:8;s:16:\"length_formatted\";s:4:\"0:08\";s:5:\"width\";i:848;s:6:\"height\";i:480;s:10:\"fileformat\";s:3:\"mp4\";s:10:\"dataformat\";s:9:\"quicktime\";s:5:\"audio\";a:7:{s:10:\"dataformat\";s:3:\"mp4\";s:5:\"codec\";s:19:\"ISO/IEC 14496-3 AAC\";s:11:\"sample_rate\";d:44100;s:8:\"channels\";i:2;s:15:\"bits_per_sample\";i:16;s:8:\"lossless\";b:0;s:11:\"channelmode\";s:6:\"stereo\";}s:17:\"created_timestamp\";i:1544814556;}'),(386,175,'_wp_attached_file','2018/12/WhatsApp-Video-2018-12-14-at-13.25.11-1.mp4'),(387,175,'_wp_attachment_metadata','a:10:{s:8:\"filesize\";i:6107715;s:9:\"mime_type\";s:9:\"video/mp4\";s:6:\"length\";i:31;s:16:\"length_formatted\";s:4:\"0:31\";s:5:\"width\";i:848;s:6:\"height\";i:480;s:10:\"fileformat\";s:3:\"mp4\";s:10:\"dataformat\";s:9:\"quicktime\";s:5:\"audio\";a:7:{s:10:\"dataformat\";s:3:\"mp4\";s:5:\"codec\";s:19:\"ISO/IEC 14496-3 AAC\";s:11:\"sample_rate\";d:44100;s:8:\"channels\";i:2;s:15:\"bits_per_sample\";i:16;s:8:\"lossless\";b:0;s:11:\"channelmode\";s:6:\"stereo\";}s:17:\"created_timestamp\";i:1544814513;}'),(388,176,'_edit_last','1'),(389,176,'_edit_lock','1545077348:1'),(390,176,'_wp_page_template','template-fullwidth.php'),(391,181,'_wp_attached_file','2018/12/cropped-WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg'),(392,181,'_wp_attachment_context','custom-header'),(393,181,'_wp_attachment_metadata','a:6:{s:5:\"width\";i:1280;s:6:\"height\";i:870;s:4:\"file\";s:60:\"2018/12/cropped-WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\";s:5:\"sizes\";a:7:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:60:\"cropped-WhatsApp-Image-2018-12-14-at-13.25.13-1-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:60:\"cropped-WhatsApp-Image-2018-12-14-at-13.25.13-1-300x204.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:204;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:60:\"cropped-WhatsApp-Image-2018-12-14-at-13.25.13-1-768x522.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:522;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:61:\"cropped-WhatsApp-Image-2018-12-14-at-13.25.13-1-1024x696.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:696;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:34:\"llorix-one-lite-post-thumbnail-big\";a:4:{s:4:\"file\";s:60:\"cropped-WhatsApp-Image-2018-12-14-at-13.25.13-1-730x340.jpeg\";s:5:\"width\";i:730;s:6:\"height\";i:340;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:37:\"llorix-one-lite-post-thumbnail-mobile\";a:4:{s:4:\"file\";s:60:\"cropped-WhatsApp-Image-2018-12-14-at-13.25.13-1-500x233.jpeg\";s:5:\"width\";i:500;s:6:\"height\";i:233;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:42:\"llorix-one-lite-post-thumbnail-latest-news\";a:4:{s:4:\"file\";s:60:\"cropped-WhatsApp-Image-2018-12-14-at-13.25.13-1-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:17:\"attachment_parent\";i:164;}'),(394,181,'_wp_attachment_custom_header_last_used_llorix-one-lite','1544829982'),(395,181,'_wp_attachment_is_custom_header','llorix-one-lite'),(430,201,'_menu_item_type','post_type'),(431,201,'_menu_item_menu_item_parent','0'),(432,201,'_menu_item_object_id','176'),(433,201,'_menu_item_object','page'),(434,201,'_menu_item_target',''),(435,201,'_menu_item_classes','a:1:{i:0;s:0:\"\";}'),(436,201,'_menu_item_xfn',''),(437,201,'_menu_item_url','');
DROP TABLE IF EXISTS `wp_posts`;
CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_title` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_excerpt` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `post_password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `post_name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `to_ping` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `pinged` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`),
  KEY `post_name` (`post_name`(191))
) ENGINE=MyISAM AUTO_INCREMENT=211 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `wp_posts` VALUES (1,1,'2018-10-20 06:50:12','2018-10-20 06:50:12','<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/10/tuny.png\"><img class=\"alignnone size-full wp-image-32\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/10/tuny.png\" alt=\"\" width=\"272\" height=\"185\" /></a>','Industria Alimentaria','','publish','open','open','','hello-world','','','2018-10-22 14:55:22','2018-10-22 14:55:22','',0,'https://heavybox.parcon.mx/?p=1',0,'post','',0),(2,1,'2018-10-20 06:50:12','2018-10-20 06:50:12','<div class=\"textIAbajo textEmpresa\"><p>Somos una empresa fuerte, innovadora y 100% mexicana enfocada estratégicamente al diseño, la creación y producción de soluciones de Empaque de Cartón Corrugado. Ofrecemos un servicio de personalización de empaque para cada uno de los productos de nuestros clientes, de acuerdo a sus completas necesidades con el objetivo principal de proteger su producto.</p><h2>Misión</h2><p>Proveer productos y servicios que brinden soluciones integrales a nuestros Clientes, sobrepasando sus expectativas para colaborar con el desarrollo y crecimiento de los mismos, así como de nuestros empleados, socios, proveedores y la comunidad donde radicamos.</p><h2>Visión</h2><p>Ser una empresa reconocida por su alta competitividad empresarial, con el respaldo del recurso humano calificado y con orgullo de pertenencia que colabore con el mejoramiento continuo de la calidad de nuestros productos y servicios para conservar a nuestros clientes y acaparar mas mercado.</p><h2>Política de Calidad</h2><p>CORRUGADOS HEAVY BOX está dedicada a la fabricación de empaque de cartón corrugado, apegándonos a las necesidades de los mercados que atendemos, mediante el cumplimiento de los siguientes compromisos:</p><ul><li>La satisfacción de los Clientes.</li><li>La calidad de los productos desarrollados.</li><li>La inocuidad.</li><li>Equipos de trabajo confiables.</li><li>Las Buenas Prácticas de Manufactura.</li><li>La mejora continua.</li></ul><h2>Estándares de Calidad</h2><p>Corrugados Heavy Box es una empresa de Clase Mundial cuya misión es la fabricación de empaque corrugado, apegada a los estándares y las necesidades de los mercados más exigentes. Estamos regidos por la Norma ISO 9001:2008, y trabajando también con criterios de la Norma ISO 22000:2005 complementada por las buenas prácticas de manufactura, por lo que nuestros parámetros, indicadores y estándares son de un alto nivel de especialización y mejora continua que se han dispuesto con el objetivo de asegurar la satisfacción de nuestros Clientes.</p></div><div class=\"textIAbajo textEmpresa\"><h2>Valores</h2><ul><li><strong>Trabajo</strong></li><li><strong>Puntualidad</strong></li><li><strong>Honestidad</strong></li><li><strong>Organización</strong></li></ul></div>','¿Quienes Somos?','','publish','open','open','','quienssomos','','','2018-11-15 01:03:19','2018-11-15 01:03:19','',0,'https://heavybox.parcon.mx/?page_id=2',0,'page','',0),(50,1,'2018-11-12 18:54:02','2018-11-12 18:54:02','','slider_heavybox','','inherit','open','closed','','slider_heavybox','','','2018-11-12 18:54:02','2018-11-12 18:54:02','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/slider_heavybox.jpg',0,'attachment','image/jpeg',0),(4,1,'2018-10-22 13:36:45','2018-10-22 13:36:45','','imago','','inherit','open','closed','','imago','','','2018-10-22 13:36:45','2018-10-22 13:36:45','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/10/imago.png',0,'attachment','image/png',0),(5,1,'2018-10-22 13:36:57','2018-10-22 13:36:57','https://heavybox.parcon.mx/wp-content/uploads/2018/10/cropped-imago.png','cropped-imago.png','','inherit','open','closed','','cropped-imago-png','','','2018-10-22 13:36:57','2018-10-22 13:36:57','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/10/cropped-imago.png',0,'attachment','image/png',0),(7,1,'2018-10-22 13:39:24','2018-10-22 13:39:24','','logo_heavybox_small','','inherit','open','closed','','logo_heavybox_small','','','2018-10-22 13:39:24','2018-10-22 13:39:24','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/10/logo_heavybox_small.png',0,'attachment','image/png',0),(145,1,'2018-12-12 16:58:38','2018-12-12 16:58:38','<p>Contamos con capacidad de impresión de 1 a  4 tintas en línea, Sistema de Impresión y Pegado en Línea (Flexo, Folder, Gluer) Sistema de Troquelado e Impresión en Línea (Flexo Die-Cutter) Velocidades de Producción hasta de 240 cajas por minuto. Contamos con elaboración de Pedidos de 1 semana, Entregas en transportes propios Cotizaciones de acuerdo a las necesidades del cliente, así como desarrollo de nuevos proyectos.</p><p>Tecnología / Competitividad Mercado: Nuestros Principales Mercados son muy diversificados, ya que fabricamos a la industria  farmacéutico, alimenticio, de manufactura electrónica, empaques de cartón entre otros, Siempre nos enfocamos a Clientes que requieran Fabricación de Caja de Cartón corrugado entro otros productos.</p>','Tecnología / Competitividad','','inherit','closed','closed','','107-revision-v1','','','2018-12-12 16:58:38','2018-12-12 16:58:38','',107,'https://heavybox.parcon.mx/uncategorized/107-revision-v1/',0,'revision','',0),(12,1,'2018-10-22 14:01:47','2018-10-22 14:01:47','','slider','','inherit','open','closed','','slider','','','2018-10-22 14:01:47','2018-10-22 14:01:47','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/10/slider.jpg',0,'attachment','image/jpeg',0),(14,1,'2018-10-22 14:02:45','2018-10-22 14:02:45','','heavybox_nameonly_small','','inherit','open','closed','','heavybox_nameonly_small','','','2018-10-22 14:02:45','2018-10-22 14:02:45','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/10/heavybox_nameonly_small.png',0,'attachment','image/png',0),(143,1,'2018-12-12 16:55:41','2018-12-12 16:55:41','<p>Contamos con capacidad de impresión de 1 a  4 tintas en línea, Sistema de Impresión y Pegado en Línea (Flexo, Folder, Gluer) Sistema de Troquelado e Impresión en Línea (Flexo Die-Cutter) Velocidades de Producción hasta de 240 cajas por minuto. Contamos con elaboración de Pedidos de 1 semana, Entregas en transportes propios Cotizaciones de acuerdo a las necesidades del cliente. Desarrollo de nuevos proyectos</p><p>Tecnología / Competitividad Mercado: Nuestros Principales Mercados es muy diversificado, ya que fabricamos a ramo tanto como farmacéutico, alimenticio, de manufactura electrónica, empaques de cartón entre otros, enfocado a Clientes que requieran Fabricación de Caja de Cartón corrugado entro otros productos.</p>','Tecnología / Competitividad','','inherit','closed','closed','','107-revision-v1','','','2018-12-12 16:55:41','2018-12-12 16:55:41','',107,'https://heavybox.parcon.mx/uncategorized/107-revision-v1/',0,'revision','',0),(18,1,'2018-10-22 14:13:42','2018-10-22 14:13:42','','asesoria','heavybox','inherit','open','closed','','asesoria','','','2018-10-22 14:13:52','2018-10-22 14:13:52','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/10/asesoria.jpg',0,'attachment','image/jpeg',0),(20,1,'2018-10-22 14:24:37','2018-10-22 14:24:37','','entrega24hrs','','inherit','open','closed','','entrega24hrs','','','2018-10-22 14:24:37','2018-10-22 14:24:37','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/10/entrega24hrs.jpg',0,'attachment','image/jpeg',0),(141,1,'2018-12-12 16:54:23','2018-12-12 16:54:23','<p>Contamos con capacidad de impresión de 1 a  4 tintas en línea, Sistema de Impresión y Pegado en Línea (Flexo, Folder, Gluer) Sistema de Troquelado e Impresión en Línea (Flexo Die-Cutter) Velocidades de Producción hasta de 170 cajas por minuto. Contamos con elaboración de Pedidos de 1 semana, Entregas en transportes propios Cotizaciones de acuerdo a las necesidades del cliente. Desarrollo de nuevos proyectos</p><p>Tecnología / Competitividad Mercado: Nuestros Principales Mercados es muy diversificado, ya que fabricamos a ramo tanto como farmacéutico, alimenticio, de manufactura electrónica, empaques de cartón entre otros, enfocado a Clientes que requieran Fabricación de Caja de Cartón corrugado entro otros productos.</p>','Tecnología / Competitividad','','inherit','closed','closed','','107-revision-v1','','','2018-12-12 16:54:23','2018-12-12 16:54:23','',107,'https://heavybox.parcon.mx/uncategorized/107-revision-v1/',0,'revision','',0),(22,1,'2018-10-22 14:31:16','2018-10-22 14:31:16','','desarrollo','','inherit','open','closed','','desarrollo','','','2018-10-22 14:31:16','2018-10-22 14:31:16','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/10/desarrollo.jpg',0,'attachment','image/jpeg',0),(24,1,'2018-10-22 14:34:49','2018-10-22 14:34:49','','caja-regular','','inherit','open','closed','','caja-regular','','','2018-10-22 14:34:49','2018-10-22 14:34:49','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/10/caja-regular.jpg',0,'attachment','image/jpeg',0),(26,1,'2018-10-22 14:40:17','2018-10-22 14:40:17','','cajas-troqueladas','','inherit','open','closed','','cajas-troqueladas','','','2018-10-22 14:40:17','2018-10-22 14:40:17','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/10/cajas-troqueladas.jpg',0,'attachment','image/jpeg',0),(27,1,'2018-10-22 14:47:58','2018-10-22 14:47:58','','flexografia','','inherit','open','closed','','flexografia','','','2018-10-22 14:47:58','2018-10-22 14:47:58','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/10/flexografia.jpg',0,'attachment','image/jpeg',0),(28,1,'2018-10-22 14:49:40','2018-10-22 14:49:40','','corrugados','','inherit','open','closed','','corrugados','','','2018-10-22 14:49:40','2018-10-22 14:49:40','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/10/corrugados.jpg',0,'attachment','image/jpeg',0),(134,1,'2018-12-12 16:42:03','2018-12-12 16:42:03','Dirección:\r\nLago Cajititlan 201\r\nCol. Nicolas R. Casillas\r\nTlajomulco de Zuñiga, Jal.\r\n\r\nAtención a clientes:\r\natencionaclientes@heavybox.com.mx\r\n\r\nAlma Rocio Arrollo\r\nalmaventas@heavybox.com.mx\r\n\r\nGerencia de ventas:\r\ndanielventas@heavybox.com.mx\r\nDaniel Martin del Campo\r\n\r\nTeléfonos:\r\n\r\n(33) 3100 4887\r\n\r\n(33) 3100 5054\r\n\r\n(33)36943001 ext 107 ventas\r\n\r\nContáctenos para cualquier duda o comentario.\r\n\r\n[contact-form-7 id=\"30\" title=\"Formulario de contacto 1\"]','Contacto','','inherit','closed','closed','','56-revision-v1','','','2018-12-12 16:42:03','2018-12-12 16:42:03','',56,'https://heavybox.parcon.mx/uncategorized/56-revision-v1/',0,'revision','',0),(135,1,'2018-12-12 16:42:44','2018-12-12 16:42:44','Dirección:\r\nLago Cajititlan 201\r\nCol. Nicolas R. Casillas\r\nTlajomulco de Zuñiga, Jal.\r\n\r\nAtención a clientes:\r\natencionaclientes@heavybox.com.mx\r\n\r\nAlma Rocio Arrollo\r\nalmaventas@heavybox.com.mx\r\n\r\nGerencia de ventas:\r\ndanielventas@heavybox.com.mx\r\nDaniel Martin del Campo\r\n\r\nTeléfonos:\r\n\r\n(33) 3100 4887\r\n\r\n(33) 3100 5054\r\n\r\n(33) 3694 3001 ext 107 ventas\r\n\r\nContáctenos para cualquier duda o comentario.\r\n\r\n[contact-form-7 id=\"30\" title=\"Formulario de contacto 1\"]','Contacto','','inherit','closed','closed','','56-revision-v1','','','2018-12-12 16:42:44','2018-12-12 16:42:44','',56,'https://heavybox.parcon.mx/uncategorized/56-revision-v1/',0,'revision','',0),(30,1,'2018-10-22 14:53:27','2018-10-22 14:53:27','<label> Tu nombre (requerido)\r\n    [text* your-name] </label>\r\n\r\n<label> Tu correo electrónico (requerido)\r\n    [email* your-email] </label>\r\n\r\n<label> Asunto\r\n    [text your-subject] </label>\r\n\r\n<label> Tu mensaje\r\n    [textarea your-message] </label>\r\n\r\n[submit \"Enviar\"]\n1\nHeavy Box \"[your-subject]\"\n[your-name] <wordpress@heavybox.parcon.mx>\natencionaclientes@heavybox.com.mx\nDe: [your-name] <[your-email]>\r\nAsunto: [your-subject]\r\n\r\nCuerpo del mensaje:\r\n[your-message]\r\n\r\n-- \r\nEste mensaje se ha enviado desde un formulario de contacto en Heavy Box (https://heavybox.parcon.mx)\nReply-To: [your-email]\n\n\n\n\nHeavy Box \"[your-subject]\"\nHeavy Box <wordpress@heavybox.parcon.mx>\n[your-email]\nCuerpo del mensaje:\r\n[your-message]\r\n\r\n-- \r\nEste mensaje se ha enviado desde un formulario de contacto en Heavy Box (https://heavybox.parcon.mx)\nReply-To: shybwy@hotmail.com\n\n\n\nGracias por tu mensaje. Ha sido enviado.\nHubo un error intentando enviar tu mensaje. Por favor inténtalo de nuevo más tarde.\nUno o más campos tienen un error. Por favor revisa e inténtalo de nuevo.\nHubo un error intentando enviar tu mensaje. Por favor inténtalo de nuevo más tarde.\nDebes aceptar los términos y condiciones antes de enviar tu mensaje.\nEl campo es obligatorio.\nEl campo es demasiado largo.\nEl campo es demasiado corto.\nEl formato de fecha es incorrecto.\nLa fecha es anterior a la más temprana permitida.\nLa fecha es posterior a la más tardía permitida.\nHubo un error desconocido subiendo el archivo.\nNo tienes permisos para subir archivos de este tipo.\nEl archivo es demasiado grande.\nSe ha producido un error subiendo la imagen\nEl formato de número no es válido.\nEl número es menor que el mínimo permitido.\nEl número es mayor que el máximo permitido.\nLa respuesta al cuestionario no es correcta.\nEl código introducido es incorrecto.\nLa dirección de correo electrónico que has introducido no es válida.\nLa URL no es válida.\nEl número de teléfono no es válido.','Formulario de contacto 1','','publish','closed','closed','','formulario-de-contacto-1','','','2018-12-15 00:40:27','2018-12-15 00:40:27','',0,'https://heavybox.parcon.mx/?post_type=wpcf7_contact_form&#038;p=30',0,'wpcf7_contact_form','',0),(31,1,'2018-10-22 14:54:42','2018-10-22 14:54:42','','Industria Alimentaria','','inherit','closed','closed','','1-autosave-v1','','','2018-10-22 14:54:42','2018-10-22 14:54:42','',1,'https://heavybox.parcon.mx/uncategorized/1-autosave-v1/',0,'revision','',0),(32,1,'2018-10-22 14:55:14','2018-10-22 14:55:14','','tuny','','inherit','open','closed','','tuny','','','2018-10-22 14:55:14','2018-10-22 14:55:14','',1,'https://heavybox.parcon.mx/wp-content/uploads/2018/10/tuny.png',0,'attachment','image/png',0),(33,1,'2018-10-22 14:55:22','2018-10-22 14:55:22','<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/10/tuny.png\"><img class=\"alignnone size-full wp-image-32\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/10/tuny.png\" alt=\"\" width=\"272\" height=\"185\" /></a>','Industria Alimentaria','','inherit','closed','closed','','1-revision-v1','','','2018-10-22 14:55:22','2018-10-22 14:55:22','',1,'https://heavybox.parcon.mx/uncategorized/1-revision-v1/',0,'revision','',0),(34,1,'2018-10-22 14:57:48','2018-10-22 14:57:48','<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/10/bigbang.png\"><img class=\"alignnone size-full wp-image-35\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/10/bigbang.png\" alt=\"\" width=\"200\" height=\"146\" /></a>','Industria Textil','','publish','open','open','','industria-textil','','','2018-10-22 14:57:48','2018-10-22 14:57:48','',0,'https://heavybox.parcon.mx/?p=34',0,'post','',0),(35,1,'2018-10-22 14:57:42','2018-10-22 14:57:42','','bigbang','','inherit','open','closed','','bigbang','','','2018-10-22 14:57:42','2018-10-22 14:57:42','',34,'https://heavybox.parcon.mx/wp-content/uploads/2018/10/bigbang.png',0,'attachment','image/png',0),(36,1,'2018-10-22 14:57:48','2018-10-22 14:57:48','<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/10/bigbang.png\"><img class=\"alignnone size-full wp-image-35\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/10/bigbang.png\" alt=\"\" width=\"200\" height=\"146\" /></a>','Industria Textil','','inherit','closed','closed','','34-revision-v1','','','2018-10-22 14:57:48','2018-10-22 14:57:48','',34,'https://heavybox.parcon.mx/uncategorized/34-revision-v1/',0,'revision','',0),(37,1,'2018-10-22 14:59:31','2018-10-22 14:59:31','<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/10/castor.png\"><img class=\"alignnone size-full wp-image-38\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/10/castor.png\" alt=\"\" width=\"251\" height=\"201\" /></a>','Industria Higiene','','publish','open','open','','industria-higiene','','','2018-10-22 14:59:31','2018-10-22 14:59:31','',0,'https://heavybox.parcon.mx/?p=37',0,'post','',0),(38,1,'2018-10-22 14:59:26','2018-10-22 14:59:26','','castor','','inherit','open','closed','','castor','','','2018-10-22 14:59:26','2018-10-22 14:59:26','',37,'https://heavybox.parcon.mx/wp-content/uploads/2018/10/castor.png',0,'attachment','image/png',0),(39,1,'2018-10-22 14:59:31','2018-10-22 14:59:31','<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/10/castor.png\"><img class=\"alignnone size-full wp-image-38\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/10/castor.png\" alt=\"\" width=\"251\" height=\"201\" /></a>','Industria Higiene','','inherit','closed','closed','','37-revision-v1','','','2018-10-22 14:59:31','2018-10-22 14:59:31','',37,'https://heavybox.parcon.mx/uncategorized/37-revision-v1/',0,'revision','',0),(40,1,'2018-10-22 15:00:45','2018-10-22 15:00:45','<div class=\"textIAbajo textEmpresa\">Estamos respaldados por equipo con capacidad para procesar altos volúmenes y el personal esta debidamente capacitado para asegurar los niveles de calidad.\r\n\r\nTenemos 12 años en el mercado y continuamos creciendo, incrementando nuestra capacidad instalada, ya que nuestro servicio, calidad y constancia nos ha distinguido, manteniendonos en este desarrollo.</div>\r\n<div class=\"Copper titEmpresa\"></div>\r\n<div class=\"textIAbajo textEmpresa\">En Heavy Box, estamos comprometidos a ser líderes en el ramo de empaques o soluciones de cartón, ofreciendo servicios de calidad, buscando la satisfacción de nuestros clientes, basados en un sistema de calidad que nos permita una mejora continua en nuestros procesos de fabricación.</div>\r\n<div class=\"Copper titEmpresa\"></div>\r\n<div class=\"textIAbajo textEmpresa\">Nuestro objetivo es fomentar acuerdos a futuro con nuestros clientes, siempre llevando la misión de ganar-ganar.\r\n\r\nSomos capaces de invertir nuestro tiempo en conocer al cliente lo suficiente y además revisamos constantemente los procesos para trabajar en la capacitación de nuestros empleados y la mejora continua para brindar así un mejor servicio a los clientes y ser competitivos e innovadores del mercado, en empaques o soluciones de cartón.</div>','¿Quienes Somos?','','inherit','closed','closed','','2-revision-v1','','','2018-10-22 15:00:45','2018-10-22 15:00:45','',2,'https://heavybox.parcon.mx/uncategorized/2-revision-v1/',0,'revision','',0),(41,1,'2018-10-22 15:01:02','2018-10-22 15:01:02','<div class=\"textIAbajo textEmpresa\">\r\n\r\nEstamos respaldados por equipo con capacidad para procesar altos volúmenes y el personal esta debidamente capacitado para asegurar los niveles de calidad.\r\n\r\nTenemos 12 años en el mercado y continuamos creciendo, incrementando nuestra capacidad instalada, ya que nuestro servicio, calidad y constancia nos ha distinguido, manteniendonos en este desarrollo.\r\n\r\n</div>\r\n<div class=\"Copper titEmpresa\"></div>\r\n<div class=\"textIAbajo textEmpresa\">En Heavy Box, estamos comprometidos a ser líderes en el ramo de empaques o soluciones de cartón, ofreciendo servicios de calidad, buscando la satisfacción de nuestros clientes, basados en un sistema de calidad que nos permita una mejora continua en nuestros procesos de fabricación.</div>\r\n<div class=\"Copper titEmpresa\"></div>\r\n<div class=\"textIAbajo textEmpresa\">\r\n\r\nNuestro objetivo es fomentar acuerdos a futuro con nuestros clientes, siempre llevando la misión de ganar-ganar.\r\n\r\nSomos capaces de invertir nuestro tiempo en conocer al cliente lo suficiente y además revisamos constantemente los procesos para trabajar en la capacitación de nuestros empleados y la mejora continua para brindar así un mejor servicio a los clientes y ser competitivos e innovadores del mercado, en empaques o soluciones de cartón.\r\n\r\n</div>','¿Quienes Somos?','','inherit','closed','closed','','2-revision-v1','','','2018-10-22 15:01:02','2018-10-22 15:01:02','',2,'https://heavybox.parcon.mx/uncategorized/2-revision-v1/',0,'revision','',0),(42,1,'2018-10-25 18:53:39','2018-10-25 18:53:39','','logo_heavybox2_small','','inherit','open','closed','','logo_heavybox2_small','','','2018-10-25 18:53:39','2018-10-25 18:53:39','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/10/logo_heavybox2_small.png',0,'attachment','image/png',0),(44,1,'2018-10-25 18:56:43','2018-10-25 18:56:43','','logo_heavybox2_small_white','','inherit','open','closed','','logo_heavybox2_small_white','','','2018-10-25 18:56:43','2018-10-25 18:56:43','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/10/logo_heavybox2_small_white.png',0,'attachment','image/png',0),(133,1,'2018-12-12 16:38:52','2018-12-12 16:38:52','Dirección:\r\nLago Cajititlan 201\r\nCol. Nicolas R. Casillas\r\nTlajomulco de Zuñiga, Jal.\r\n\r\nAtención a clientes:\r\natencionaclientes@heavybox.com.mx\r\n\r\nAlma Rocio Arrollo\r\nalmaventas@heavybox.com.mx\r\n\r\nGerencia de ventas:\r\ndanielventas@heavybox.com.mx\r\nDaniel Martin del Campo\r\n\r\nHbOficinas:\r\nTeléfono: (33)36943001 ext 107 ventas\r\n\r\nFax:\r\n(33)36943002\r\n\r\nContáctanos para cualquier duda o comentario.\r\n\r\n[contact-form-7 id=\"30\" title=\"Formulario de contacto 1\"]','Contacto','','inherit','closed','closed','','56-revision-v1','','','2018-12-12 16:38:52','2018-12-12 16:38:52','',56,'https://heavybox.parcon.mx/uncategorized/56-revision-v1/',0,'revision','',0),(46,1,'2018-10-25 19:07:34','2018-10-25 19:07:34','<div class=\"textIAbajo textEmpresa\">\n<h1>¿Quienes Somos?</h1>\nSomos una empresa fuerte, innovadora y 100% mexicana enfocada estratégicamente al diseño, la creación y producción de soluciones de Empaque de Cartón Corrugado. Ofrecemos un servicio de personalización de empaque para cada uno de los productos de nuestros clientes, de acuerdo a sus completas necesidades con el objetivo principal de proteger su producto.\n<h2>Misión</h2>\nProveer productos y servicios que brinden soluciones integrales a nuestros Clientes, sobrepasando sus expectativas para colaborar con el desarrollo y crecimiento de los mismos, así como de nuestros empleados, socios, proveedores y la comunidad donde radicamos.\n<h2>Visión</h2>\nSer una empresa reconocida por su alta competitividad empresarial, con el respaldo del recurso humano calificado y con orgullo de pertenencia que colabore con el mejoramiento continuo de la calidad de nuestros productos y servicios para conservar a nuestros clientes y acaparar mas mercado.\n<h2>Política de Calidad</h2>\nCORRUGADOS HEAVY BOX está dedicada a la fabricación de empaque de cartón corrugado, apegándonos a las necesidades de los mercados que atendemos, mediante el cumplimiento de los siguientes compromisos:\n<ul>\n 	<li>La satisfacción de los Clientes.</li>\n 	<li>La calidad de los productos desarrollados.</li>\n 	<li>La inocuidad.</li>\n 	<li>Equipos de trabajo confiables.</li>\n 	<li>Las Buenas Prácticas de Manufactura.</li>\n 	<li>La mejora continua.</li>\n</ul>\nCorrugados Heavy Box es una empresa de Clase Mundial cuya misión es la fabricación de empaque corrugado, apegada a los estándares y las necesidades de los mercados más exigentes. Estamos regidos por la Norma ISO 9001:2008, y trabajando también con criterios de la Norma ISO 22000:2005 complementada por las buenas prácticas de manufactura, por lo que nuestros parámetros, indicadores y estándares son de un alto nivel de especialización y mejora continua que se han dispuesto con el objetivo de asegurar la satisfacción de nuestros Clientes.\n\nEstamos respaldados por equipos con capacidad para procesar altos volúmenes y el personal esta debidamente capacitado para asegurar los niveles de calidad.\n\nTenemos 12 años en el mercado y continuamos creciendo, incrementando nuestra capacidad instalada, ya que nuestro servicio, calidad y constancia nos ha distinguido, manteniendonos en este desarrollo.\n\n</div>\n<div class=\"Copper titEmpresa\"></div>\n<div class=\"textIAbajo textEmpresa\">En Heavy Box, estamos comprometidos a ser líderes en el ramo de empaques o soluciones de cartón, ofreciendo servicios de calidad, buscando la satisfacción de nuestros clientes, basados en un sistema de calidad que nos permita una mejora continua en nuestros procesos de fabricación.</div>\n<div class=\"Copper titEmpresa\"></div>\n<div class=\"textIAbajo textEmpresa\">\n\nNuestro objetivo es fomentar acuerdos a futuro con nuestros clientes, siempre llevando la misión de ganar-ganar.\n\nSomos capaces de invertir nuestro tiempo en conocer al cliente lo suficiente y además revisamos constantemente los procesos para trabajar en la capacitación de nuestros empleados y la mejora continua para brindar así un mejor servicio a los clientes y ser competitivos e innovadores del mercado, en empaques o soluciones de cartón.\n\n</div>','¿Quienes Somos?','','inherit','closed','closed','','2-autosave-v1','','','2018-10-25 19:07:34','2018-10-25 19:07:34','',2,'https://heavybox.parcon.mx/uncategorized/2-autosave-v1/',0,'revision','',0),(104,1,'2018-11-15 01:03:19','2018-11-15 01:03:19','<div class=\"textIAbajo textEmpresa\"><p>Somos una empresa fuerte, innovadora y 100% mexicana enfocada estratégicamente al diseño, la creación y producción de soluciones de Empaque de Cartón Corrugado. Ofrecemos un servicio de personalización de empaque para cada uno de los productos de nuestros clientes, de acuerdo a sus completas necesidades con el objetivo principal de proteger su producto.</p><h2>Misión</h2><p>Proveer productos y servicios que brinden soluciones integrales a nuestros Clientes, sobrepasando sus expectativas para colaborar con el desarrollo y crecimiento de los mismos, así como de nuestros empleados, socios, proveedores y la comunidad donde radicamos.</p><h2>Visión</h2><p>Ser una empresa reconocida por su alta competitividad empresarial, con el respaldo del recurso humano calificado y con orgullo de pertenencia que colabore con el mejoramiento continuo de la calidad de nuestros productos y servicios para conservar a nuestros clientes y acaparar mas mercado.</p><h2>Política de Calidad</h2><p>CORRUGADOS HEAVY BOX está dedicada a la fabricación de empaque de cartón corrugado, apegándonos a las necesidades de los mercados que atendemos, mediante el cumplimiento de los siguientes compromisos:</p><ul><li>La satisfacción de los Clientes.</li><li>La calidad de los productos desarrollados.</li><li>La inocuidad.</li><li>Equipos de trabajo confiables.</li><li>Las Buenas Prácticas de Manufactura.</li><li>La mejora continua.</li></ul><h2>Estándares de Calidad</h2><p>Corrugados Heavy Box es una empresa de Clase Mundial cuya misión es la fabricación de empaque corrugado, apegada a los estándares y las necesidades de los mercados más exigentes. Estamos regidos por la Norma ISO 9001:2008, y trabajando también con criterios de la Norma ISO 22000:2005 complementada por las buenas prácticas de manufactura, por lo que nuestros parámetros, indicadores y estándares son de un alto nivel de especialización y mejora continua que se han dispuesto con el objetivo de asegurar la satisfacción de nuestros Clientes.</p></div><div class=\"textIAbajo textEmpresa\"><h2>Valores</h2><ul><li><strong>Trabajo</strong></li><li><strong>Puntualidad</strong></li><li><strong>Honestidad</strong></li><li><strong>Organización</strong></li></ul></div>','¿Quienes Somos?','','inherit','closed','closed','','2-revision-v1','','','2018-11-15 01:03:19','2018-11-15 01:03:19','',2,'https://heavybox.parcon.mx/uncategorized/2-revision-v1/',0,'revision','',0),(47,1,'2018-10-25 19:09:06','2018-10-25 19:09:06','<div class=\"textIAbajo textEmpresa\">\r\n<h1>¿Quienes Somos?</h1>\r\nSomos una empresa fuerte, innovadora y 100% mexicana enfocada estratégicamente al diseño, la creación y producción de soluciones de Empaque de Cartón Corrugado. Ofrecemos un servicio de personalización de empaque para cada uno de los productos de nuestros clientes, de acuerdo a sus completas necesidades con el objetivo principal de proteger su producto.\r\n<h2>Misión</h2>\r\nProveer productos y servicios que brinden soluciones integrales a nuestros Clientes, sobrepasando sus expectativas para colaborar con el desarrollo y crecimiento de los mismos, así como de nuestros empleados, socios, proveedores y la comunidad donde radicamos.\r\n<h2>Visión</h2>\r\nSer una empresa reconocida por su alta competitividad empresarial, con el respaldo del recurso humano calificado y con orgullo de pertenencia que colabore con el mejoramiento continuo de la calidad de nuestros productos y servicios para conservar a nuestros clientes y acaparar mas mercado.\r\n<h2>Política de Calidad</h2>\r\nCORRUGADOS HEAVY BOX está dedicada a la fabricación de empaque de cartón corrugado, apegándonos a las necesidades de los mercados que atendemos, mediante el cumplimiento de los siguientes compromisos:\r\n<ul>\r\n 	<li>La satisfacción de los Clientes.</li>\r\n 	<li>La calidad de los productos desarrollados.</li>\r\n 	<li>La inocuidad.</li>\r\n 	<li>Equipos de trabajo confiables.</li>\r\n 	<li>Las Buenas Prácticas de Manufactura.</li>\r\n 	<li>La mejora continua.</li>\r\n</ul>\r\n<h2>Estándares de Calidad</h2>\r\nCorrugados Heavy Box es una empresa de Clase Mundial cuya misión es la fabricación de empaque corrugado, apegada a los estándares y las necesidades de los mercados más exigentes. Estamos regidos por la Norma ISO 9001:2008, y trabajando también con criterios de la Norma ISO 22000:2005 complementada por las buenas prácticas de manufactura, por lo que nuestros parámetros, indicadores y estándares son de un alto nivel de especialización y mejora continua que se han dispuesto con el objetivo de asegurar la satisfacción de nuestros Clientes.\r\n\r\n</div>\r\n<div class=\"textIAbajo textEmpresa\">\r\n<h2>Valores</h2>\r\n<ul>\r\n 	<li><strong>Trabajo</strong></li>\r\n 	<li><strong>Puntualidad</strong></li>\r\n 	<li><strong>Honestidad</strong></li>\r\n 	<li><strong>Organización</strong></li>\r\n</ul>\r\n</div>','¿Quienes Somos?','','inherit','closed','closed','','2-revision-v1','','','2018-10-25 19:09:06','2018-10-25 19:09:06','',2,'https://heavybox.parcon.mx/uncategorized/2-revision-v1/',0,'revision','',0),(48,1,'2018-10-25 19:24:13','2018-10-25 19:24:13','','slide_heavyboxr','','inherit','open','closed','','slide_heavyboxr','','','2018-10-25 19:24:13','2018-10-25 19:24:13','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/10/slide_heavyboxr.jpg',0,'attachment','image/jpeg',0),(132,1,'2018-12-12 16:42:00','2018-12-12 16:42:00','Dirección:\nLago Cajititlan 201\nCol. Nicolas R. Casillas\nTlajomulco de Zuñiga, Jal.\n\nAtención a clientes:\natencionaclientes@heavybox.com.mx\n\nAlma Rocio Arrollo\nalmaventas@heavybox.com.mx\n\nGerencia de ventas:\ndanielventas@heavybox.com.mx\nDaniel Martin del Campo\n\nTeléfonos:\n\n(33) 3100 4887\n\n(33) 3100 5054\n\n(33)36943001 ext 107 ventas\n\nContáctenos para cualquier duda o comentario.\n\n[contact-form-7 id=\"30\" title=\"Formulario de contacto 1\"]','Contacto','','inherit','closed','closed','','56-autosave-v1','','','2018-12-12 16:42:00','2018-12-12 16:42:00','',56,'https://heavybox.parcon.mx/uncategorized/56-autosave-v1/',0,'revision','',0),(180,1,'2018-12-14 23:19:02','2018-12-14 23:19:02','<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\"><img class=\"alignnone wp-image-164 size-full\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\" alt=\"Heavybox\" width=\"1280\" height=\"960\" /></a><a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\"><img class=\"alignnone wp-image-162 size-full\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\" alt=\"\" width=\"1280\" height=\"770\" /></a>\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.11-1.mp4\"][/video]\r\n\r\n&nbsp;','Galería','','inherit','closed','closed','','176-revision-v1','','','2018-12-14 23:19:02','2018-12-14 23:19:02','',176,'https://heavybox.parcon.mx/uncategorized/176-revision-v1/',0,'revision','',0),(52,1,'2018-11-12 18:57:47','2018-11-12 18:57:47','','slider_heavybox','','inherit','open','closed','','slider_heavybox-2','','','2018-11-12 18:57:47','2018-11-12 18:57:47','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/slider_heavybox-1.jpg',0,'attachment','image/jpeg',0),(56,1,'2018-11-12 19:08:52','2018-11-12 19:08:52','Dirección:\r\nLago Cajititlan 201\r\nCol. Nicolas R. Casillas\r\nTlajomulco de Zuñiga, Jal.\r\n\r\nCorreo:\r\natencionaclientes@heavybox.com.mx\r\natencionaclientes1@heavybox.com.mx\r\n\r\nTeléfonos:\r\n\r\n(33) 3100 4887\r\n\r\n(33) 3100 5054\r\n\r\n(33) 3694 3001 ext 107 ventas\r\n\r\nContáctenos para cualquier duda o comentario.\r\n\r\n[contact-form-7 id=\"30\" title=\"Formulario de contacto 1\"]','Contacto','','publish','closed','closed','','contacto','','','2018-12-15 00:39:48','2018-12-15 00:39:48','',0,'https://heavybox.parcon.mx/?page_id=56',0,'page','',0),(57,1,'2018-11-12 19:08:52','2018-11-12 19:08:52','Dirección:\r\nLago Cajititlan 201\r\nCol. Nicolas R. Casillas\r\nTlajomulco de Zuñiga, Jal.\r\n\r\nAtención a clientes:\r\natencionaclientes@heavybox.com.mx\r\nAlma Rocio Arrollo\r\n\r\nGerencia de ventas:\r\ndanielventas@heavybox.com.mx\r\nDaniel Martin del Campo\r\n\r\nHbOficinas:\r\nTeléfono: (33)36943001 ext 107 ventas\r\n\r\nFax:\r\n(33)36943002\r\n\r\nContáctanos para cualquier duda o comentario.\r\n\r\n[contact-form-7 id=\"30\" title=\"Formulario de contacto 1\"]','Contacto','','inherit','closed','closed','','56-revision-v1','','','2018-11-12 19:08:52','2018-11-12 19:08:52','',56,'https://heavybox.parcon.mx/uncategorized/56-revision-v1/',0,'revision','',0),(178,1,'2018-12-14 23:17:51','2018-12-14 23:17:51','<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\"><img class=\"alignnone wp-image-164 size-full\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\" alt=\"Heavybox\" width=\"1280\" height=\"960\" /></a><a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\"><img class=\"alignnone wp-image-162 size-full\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\" alt=\"\" width=\"1280\" height=\"770\" /></a>','Galería','','inherit','closed','closed','','176-revision-v1','','','2018-12-14 23:17:51','2018-12-14 23:17:51','',176,'https://heavybox.parcon.mx/uncategorized/176-revision-v1/',0,'revision','',0),(177,1,'2018-12-14 23:14:43','2018-12-14 23:14:43','<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\"><img class=\"alignnone wp-image-164 size-full\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\" alt=\"Heavybox\" width=\"1280\" height=\"960\" /></a><a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\"><img class=\"alignnone size-medium wp-image-162\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1-300x180.jpeg\" alt=\"\" width=\"300\" height=\"180\" /></a>','Galería','','inherit','closed','closed','','176-revision-v1','','','2018-12-14 23:14:43','2018-12-14 23:14:43','',176,'https://heavybox.parcon.mx/uncategorized/176-revision-v1/',0,'revision','',0),(172,1,'2018-12-14 20:24:17','2018-12-14 20:24:17','','WhatsApp Video 2018-12-14 at 13.25.13 (1)','','inherit','open','closed','','whatsapp-video-2018-12-14-at-13-25-13-1','','','2018-12-15 00:28:29','2018-12-15 00:28:29','',176,'https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.13-1.mp4',0,'attachment','video/mp4',0),(173,1,'2018-12-14 20:24:19','2018-12-14 20:24:19','','WhatsApp Video 2018-12-14 at 13.25.12','','inherit','open','closed','','whatsapp-video-2018-12-14-at-13-25-12','','','2018-12-15 00:27:48','2018-12-15 00:27:48','',176,'https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.12.mp4',0,'attachment','video/mp4',0),(174,1,'2018-12-14 20:24:20','2018-12-14 20:24:20','','caja corrugada','','inherit','open','closed','','whatsapp-video-2018-12-14-at-13-25-11','','','2018-12-15 00:27:25','2018-12-15 00:27:25','',176,'https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.11.mp4',0,'attachment','video/mp4',0),(175,1,'2018-12-14 20:24:33','2018-12-14 20:24:33','','Heavybox','','inherit','open','closed','','whatsapp-video-2018-12-14-at-13-25-11-1','','','2018-12-14 23:18:51','2018-12-14 23:18:51','',176,'https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.11-1.mp4',0,'attachment','video/mp4',0),(179,1,'2018-12-17 20:10:06','2018-12-17 20:10:06','Contamos con equipos de ultima gener Tecnología de punta y los equipos mas modernos en nuestras instalaciones de calidad mundial.\n\n<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\"><img class=\"alignnone wp-image-162 size-full\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\" alt=\"\" width=\"1280\" height=\"770\" /></a>\n\n[gallery size=\"large\" link=\"file\" columns=\"2\" ids=\"165,161,160,158\"]\n\n<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\"><img class=\"alignnone wp-image-164 size-full\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\" alt=\"\" width=\"1280\" height=\"960\" /></a>\n\n[gallery columns=\"2\" size=\"large\" link=\"file\" ids=\"163,159\"]\n\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.12.mp4\"][/video]\n\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.11-1.mp4\"][/video]\n\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14.mp4\"][/video]\n\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14-3.mp4\"][/video]','Nuestras Instalaciones','','inherit','closed','closed','','176-autosave-v1','','','2018-12-17 20:10:06','2018-12-17 20:10:06','',176,'https://heavybox.parcon.mx/uncategorized/176-autosave-v1/',0,'revision','',0),(176,1,'2018-12-14 23:14:43','2018-12-14 23:14:43','Contamos con equipos de ultima generación así como tecnología de punta. Dándoles la seguridad y la tranquilidad de poder contar con producto de la mejor calidad.\r\n\r\n<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\"><img class=\"alignnone wp-image-162 size-full\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\" alt=\"\" width=\"1280\" height=\"770\" /></a>\r\n\r\n[gallery size=\"large\" link=\"file\" columns=\"2\" ids=\"165,161,160,158\"]\r\n\r\n<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\"><img class=\"alignnone wp-image-164 size-full\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\" alt=\"\" width=\"1280\" height=\"960\" /></a>\r\n\r\n[gallery columns=\"2\" size=\"large\" link=\"file\" ids=\"163,159\"]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.12.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.11-1.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14-3.mp4\"][/video]','Nuestras Instalaciones','','publish','closed','closed','','galeria','','','2018-12-17 20:11:23','2018-12-17 20:11:23','',0,'https://heavybox.parcon.mx/?page_id=176',0,'page','',0),(62,1,'2018-11-12 19:28:59','2018-11-12 19:28:59','','cropped-slider_heavybox-1.jpg','','inherit','open','closed','','cropped-slider_heavybox-1-jpg','','','2018-11-12 19:28:59','2018-11-12 19:28:59','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/cropped-slider_heavybox-1.jpg',0,'attachment','image/jpeg',0),(168,1,'2018-12-14 20:24:11','2018-12-14 20:24:11','','WhatsApp Video 2018-12-14 at 13.25.14 (1)','','inherit','open','closed','','whatsapp-video-2018-12-14-at-13-25-14-1','','','2018-12-15 00:29:51','2018-12-15 00:29:51','',176,'https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14-1.mp4',0,'attachment','video/mp4',0),(169,1,'2018-12-14 20:24:12','2018-12-14 20:24:12','','WhatsApp Video 2018-12-14 at 13.25.14','','inherit','open','closed','','whatsapp-video-2018-12-14-at-13-25-14','','','2018-12-15 00:29:35','2018-12-15 00:29:35','',176,'https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14.mp4',0,'attachment','video/mp4',0),(170,1,'2018-12-14 20:24:14','2018-12-14 20:24:14','','WhatsApp Video 2018-12-14 at 13.25.14 (2)','','inherit','open','closed','','whatsapp-video-2018-12-14-at-13-25-14-2','','','2018-12-15 00:29:18','2018-12-15 00:29:18','',176,'https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14-2.mp4',0,'attachment','video/mp4',0),(171,1,'2018-12-14 20:24:16','2018-12-14 20:24:16','','WhatsApp Video 2018-12-14 at 13.25.13','','inherit','open','closed','','whatsapp-video-2018-12-14-at-13-25-13','','','2018-12-15 00:28:48','2018-12-15 00:28:48','',176,'https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.13.mp4',0,'attachment','video/mp4',0),(64,1,'2018-11-12 19:29:56','2018-11-12 19:29:56','','heavybox1','','inherit','open','closed','','heavybox1','','','2018-11-12 19:29:56','2018-11-12 19:29:56','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/heavybox1.jpg',0,'attachment','image/jpeg',0),(65,1,'2018-11-12 19:30:27','2018-11-12 19:30:27','','cropped-heavybox1.jpg','','inherit','open','closed','','cropped-heavybox1-jpg','','','2018-11-12 19:30:27','2018-11-12 19:30:27','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/cropped-heavybox1.jpg',0,'attachment','image/jpeg',0),(165,1,'2018-12-14 20:24:01','2018-12-14 20:24:01','','cajas','','inherit','open','closed','','whatsapp-image-2018-12-14-at-13-25-13','','','2018-12-14 23:49:53','2018-12-14 23:49:53','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13.jpeg',0,'attachment','image/jpeg',0),(166,1,'2018-12-14 20:24:02','2018-12-14 20:24:02','','heavy box corrugados','','inherit','open','closed','','whatsapp-image-2018-12-14-at-13-25-14','','','2018-12-14 23:37:01','2018-12-14 23:37:01','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.14.jpeg',0,'attachment','image/jpeg',0),(167,1,'2018-12-14 20:24:08','2018-12-14 20:24:08','','WhatsApp Video 2018-12-14 at 13.25.14 (3)','','inherit','open','closed','','whatsapp-video-2018-12-14-at-13-25-14-3','','','2018-12-15 00:30:07','2018-12-15 00:30:07','',176,'https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14-3.mp4',0,'attachment','video/mp4',0),(163,1,'2018-12-14 20:23:59','2018-12-14 20:23:59','','WhatsApp Image 2018-12-14 at 13.25.12','','inherit','open','closed','','whatsapp-image-2018-12-14-at-13-25-12','','','2018-12-14 20:23:59','2018-12-14 20:23:59','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12.jpeg',0,'attachment','image/jpeg',0),(164,1,'2018-12-14 20:24:00','2018-12-14 20:24:00','','heavybox','','inherit','open','closed','','whatsapp-image-2018-12-14-at-13-25-13-1','','','2018-12-14 23:32:17','2018-12-14 23:32:17','',176,'https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg',0,'attachment','image/jpeg',0),(159,1,'2018-12-14 20:23:47','2018-12-14 20:23:47','','caja corrugada','','inherit','open','closed','','whatsapp-image-2018-12-14-at-13-25-11-1','','','2018-12-15 00:09:27','2018-12-15 00:09:27','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.11-1.jpeg',0,'attachment','image/jpeg',0),(160,1,'2018-12-14 20:23:48','2018-12-14 20:23:48','','WhatsApp Image 2018-12-14 at 13.25.11','','inherit','open','closed','','whatsapp-image-2018-12-14-at-13-25-11','','','2018-12-14 20:23:48','2018-12-14 20:23:48','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.11.jpeg',0,'attachment','image/jpeg',0),(161,1,'2018-12-14 20:23:53','2018-12-14 20:23:53','','cajas de carton','','inherit','open','closed','','whatsapp-image-2018-12-14-at-13-25-12-2','','','2018-12-14 23:48:12','2018-12-14 23:48:12','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-2.jpeg',0,'attachment','image/jpeg',0),(162,1,'2018-12-14 20:23:57','2018-12-14 20:23:57','','heavybox corrugado','','inherit','open','closed','','whatsapp-image-2018-12-14-at-13-25-12-1','','','2018-12-14 23:14:33','2018-12-14 23:14:33','',176,'https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg',0,'attachment','image/jpeg',0),(69,1,'2018-11-12 19:39:01','2018-11-12 19:39:01','','WhatsApp Image 2018-10-29 at 18.08.26','','inherit','open','closed','','whatsapp-image-2018-10-29-at-18-08-26','','','2018-11-12 19:45:46','2018-11-12 19:45:46','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/WhatsApp-Image-2018-10-29-at-18.08.26.jpeg',0,'attachment','image/jpeg',0),(158,1,'2018-12-14 20:23:46','2018-12-14 20:23:46','','heavybox cajas','','inherit','open','closed','','whatsapp-image-2018-12-14-at-13-25-10','','','2018-12-15 00:02:33','2018-12-15 00:02:33','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.10.jpeg',0,'attachment','image/jpeg',0),(72,1,'2018-11-14 16:56:07','2018-11-14 16:56:07','','slider_heavybox_claro','','inherit','open','closed','','slider_heavybox_claro','','','2018-11-14 16:56:07','2018-11-14 16:56:07','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/slider_heavybox_claro.jpg',0,'attachment','image/jpeg',0),(73,1,'2018-11-14 16:56:47','2018-11-14 16:56:47','','cropped-slider_heavybox_claro.jpg','','inherit','open','closed','','cropped-slider_heavybox_claro-jpg','','','2018-11-14 16:56:47','2018-11-14 16:56:47','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/cropped-slider_heavybox_claro.jpg',0,'attachment','image/jpeg',0),(81,1,'2018-11-14 23:21:11','2018-11-14 23:21:11','','cajas de carton','','inherit','open','closed','','cajas-de-carton','','','2018-11-14 23:21:11','2018-11-14 23:21:11','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/cajas-de-carton.jpg',0,'attachment','image/jpeg',0),(82,1,'2018-11-14 23:21:24','2018-11-14 23:21:24','','heavybox2','','inherit','open','closed','','heavybox2','','','2018-11-14 23:21:24','2018-11-14 23:21:24','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/heavybox2.jpg',0,'attachment','image/jpeg',0),(85,1,'2018-11-14 23:36:17','2018-11-14 23:36:17','','cajas de carton2','','inherit','open','closed','','cajas-de-carton2','','','2018-11-14 23:36:17','2018-11-14 23:36:17','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/cajas-de-carton2.jpg',0,'attachment','image/jpeg',0),(89,1,'2018-11-14 23:51:15','2018-11-14 23:51:15','','trabajador fabrica de carton','','inherit','open','closed','','trabajador-fabrica-de-carton','','','2018-11-14 23:51:15','2018-11-14 23:51:15','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/trabajador-fabrica-de-carton.jpg',0,'attachment','image/jpeg',0),(90,1,'2018-11-14 23:55:27','2018-11-14 23:55:27','','trabajador-fabrica-de-carton','','inherit','open','closed','','trabajador-fabrica-de-carton-2','','','2018-11-14 23:55:27','2018-11-14 23:55:27','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/trabajador-fabrica-de-carton-1.jpg',0,'attachment','image/jpeg',0),(91,1,'2018-11-15 00:01:05','2018-11-15 00:01:05','','trabajador-carton','','inherit','open','closed','','trabajador-carton','','','2018-11-15 00:01:05','2018-11-15 00:01:05','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/trabajador-carton.jpg',0,'attachment','image/jpeg',0),(93,1,'2018-11-15 00:05:43','2018-11-15 00:05:43','','organizacion-carton','','inherit','open','closed','','organizacion-carton','','','2018-11-15 00:05:43','2018-11-15 00:05:43','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/organizacion-carton.jpg',0,'attachment','image/jpeg',0),(95,1,'2018-11-15 00:15:34','2018-11-15 00:15:34','','logo_elcastor','','inherit','open','closed','','logo_elcastor','','','2018-11-15 00:15:34','2018-11-15 00:15:34','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/logo_elcastor.jpg',0,'attachment','image/jpeg',0),(96,1,'2018-11-15 00:17:40','2018-11-15 00:17:40','','logo_tuny','','inherit','open','closed','','logo_tuny','','','2018-11-15 00:17:40','2018-11-15 00:17:40','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/logo_tuny.jpg',0,'attachment','image/jpeg',0),(97,1,'2018-11-15 00:20:59','2018-11-15 00:20:59','','logo_perdura','','inherit','open','closed','','logo_perdura','','','2018-11-15 00:20:59','2018-11-15 00:20:59','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/logo_perdura.jpg',0,'attachment','image/jpeg',0),(99,1,'2018-11-15 00:55:28','2018-11-15 00:55:28','','maquina-carton','','inherit','open','closed','','maquina-carton','','','2018-11-15 00:55:28','2018-11-15 00:55:28','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/maquina-carton.jpg',0,'attachment','image/jpeg',0),(107,1,'2018-11-15 01:12:56','2018-11-15 01:12:56','<p>Contamos con capacidad de impresión de 1 a  4 tintas en línea, Sistema de Impresión y Pegado en Línea (Flexo, Folder, Gluer) Sistema de Troquelado e Impresión en Línea (Flexo Die-Cutter), velocidades de producción hasta de 240 cajas por minuto. Contamos con elaboración de Pedidos de 1 semana, entregas en transportes propios, cotizaciones de acuerdo a las necesidades del cliente, así como desarrollo de nuevos proyectos.</p><p>Tecnología / Competitividad Mercado: Nuestros Principales Mercados son muy diversificados, ya que fabricamos a la industria  farmacéutico, alimenticio, de manufactura electrónica, empaques de cartón entre otros, enfocados en las necesidades de nuestros clientes para el desarrollo de sus empaques para un correcto manejo y almacenaje y como resultado la protección integral de sus productos. </p>','Tecnología / Competitividad','','publish','closed','closed','','tecnologia-competitividad','','','2018-12-15 00:11:28','2018-12-15 00:11:28','',0,'https://heavybox.parcon.mx/?page_id=107',0,'page','',0),(108,1,'2018-11-15 01:12:56','2018-11-15 01:12:56','Contamos con capacidad de impresión de 1 a 3 tintas en línea, Sistema de Impresión y Pegado en Línea (Flexo, Folder, Gluer) Sistema de Troquelado e Impresión en Línea (Flexo Die-Cutter) Velocidades de Producción hasta de 170 cajas por minuto. Contamos con elaboración de Pedidos de 1 semana, Entregas en transportes propios Cotizaciones de acuerdo a las necesidades del cliente. Desarrollo de nuevos proyectos\r\n\r\nTecnología / Competitividad Mercado: Nuestros Principales Mercados es muy diversificado, ya que fabricamos a ramo tanto como farmacéutico, alimenticio, de manufactura electrónica, empaques de cartón entre otros, enfocado a Clientes que requieran Fabricación de Caja de Cartón corrugado entro otros productos.','Tecnología / Competitividad','','inherit','closed','closed','','107-revision-v1','','','2018-11-15 01:12:56','2018-11-15 01:12:56','',107,'https://heavybox.parcon.mx/uncategorized/107-revision-v1/',0,'revision','',0),(210,1,'2018-12-17 20:15:00','2018-12-17 20:15:00','{\n    \"llorix-one-lite::llorix_one_lite_very_top_header_phone\": {\n        \"value\": \"+52 (33) 3694 3001 / 02 \",\n        \"type\": \"theme_mod\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2018-12-17 20:15:00\"\n    }\n}','','','trash','closed','closed','','168f38df-de0a-4422-b10d-7e8994919973','','','2018-12-17 20:15:00','2018-12-17 20:15:00','',0,'https://heavybox.parcon.mx/?p=210',0,'customize_changeset','',0),(111,1,'2018-11-15 01:16:57','2018-11-15 01:16:57','','Inicio','','publish','closed','closed','','inicio','','','2018-12-15 00:38:27','2018-12-15 00:38:27','',0,'https://heavybox.parcon.mx/uncategorized/inicio/',1,'nav_menu_item','',0),(156,1,'2018-12-12 17:29:49','2018-12-12 17:29:49','Dirección:\r\nLago Cajititlan 201\r\nCol. Nicolas R. Casillas\r\nTlajomulco de Zuñiga, Jal.\r\n\r\nAtención a clientes:\r\natencionaclientes@heavybox.com.mx\r\natencionaclientes@heavybox.com.mx\r\n\r\nAlma Rocio Arrollo\r\nalmaventas@heavybox.com.mx\r\n\r\nGerencia de ventas:\r\ndanielventas@heavybox.com.mx\r\nDaniel Martin del Campo\r\n\r\nTeléfonos:\r\n\r\n(33) 3100 4887\r\n\r\n(33) 3100 5054\r\n\r\n(33) 3694 3001 ext 107 ventas\r\n\r\nContáctenos para cualquier duda o comentario.\r\n\r\n[contact-form-7 id=\"30\" title=\"Formulario de contacto 1\"]','Contacto','','inherit','closed','closed','','56-revision-v1','','','2018-12-12 17:29:49','2018-12-12 17:29:49','',56,'https://heavybox.parcon.mx/uncategorized/56-revision-v1/',0,'revision','',0),(202,1,'2018-12-15 00:39:48','2018-12-15 00:39:48','Dirección:\r\nLago Cajititlan 201\r\nCol. Nicolas R. Casillas\r\nTlajomulco de Zuñiga, Jal.\r\n\r\nCorreo:\r\natencionaclientes@heavybox.com.mx\r\natencionaclientes1@heavybox.com.mx\r\n\r\nTeléfonos:\r\n\r\n(33) 3100 4887\r\n\r\n(33) 3100 5054\r\n\r\n(33) 3694 3001 ext 107 ventas\r\n\r\nContáctenos para cualquier duda o comentario.\r\n\r\n[contact-form-7 id=\"30\" title=\"Formulario de contacto 1\"]','Contacto','','inherit','closed','closed','','56-revision-v1','','','2018-12-15 00:39:48','2018-12-15 00:39:48','',56,'https://heavybox.parcon.mx/uncategorized/56-revision-v1/',0,'revision','',0),(113,1,'2018-11-15 01:16:57','2018-11-15 01:16:57',' ','','','publish','closed','closed','','113','','','2018-12-15 00:38:27','2018-12-15 00:38:27','',0,'https://heavybox.parcon.mx/uncategorized/113/',3,'nav_menu_item','',0),(114,1,'2018-11-15 01:16:57','2018-11-15 01:16:57',' ','','','publish','closed','closed','','114','','','2018-12-15 00:38:27','2018-12-15 00:38:27','',0,'https://heavybox.parcon.mx/uncategorized/114/',4,'nav_menu_item','',0),(208,1,'2018-12-17 20:08:49','2018-12-17 20:08:49','{\n    \"llorix-one-lite::llorix_one_lite_our_team_subtitle\": {\n        \"value\": \"Nuestro personal cuenta con la mejor capacitaci\\u00f3n posible garantizando la calidad en cada producto.\",\n        \"type\": \"theme_mod\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2018-12-17 20:08:49\"\n    }\n}','','','trash','closed','closed','','2fba73d0-071e-404b-b040-e034caa6eec9','','','2018-12-17 20:08:49','2018-12-17 20:08:49','',0,'https://heavybox.parcon.mx/?p=208',0,'customize_changeset','',0),(207,1,'2018-12-17 20:06:47','2018-12-17 20:06:47','{\n    \"llorix-one-lite::llorix_one_lite_services_content\": {\n        \"value\": \"[{\\\"text\\\":\\\"Sabemos lo importante que es para ti tener tu producto a tiempo, ofrecemos atenci\\u00f3n 24 horas, 7 d\\u00edas a la semana. En Corrugados Heavy Box, las necesidades y satisfacci\\u00f3n del cliente son nuestras prioridades.\\\",\\\"title\\\":\\\"Atenci\\u00f3n 24&#x2F;7\\\",\\\"icon_value\\\":\\\"fa-clock-o\\\",\\\"choice\\\":\\\"llorix_one_lite_icon\\\"},{\\\"text\\\":\\\"No arriesgamos tu producto. Por eso contamos y utilizamos nuestra propia flotilla de camiones, as\\u00ed como operadores entrenados para entregar en tiempo y forma cada pedido. \\\",\\\"title\\\":\\\"Transporte Propio\\\",\\\"icon_value\\\":\\\"fa-truck\\\",\\\"choice\\\":\\\"llorix_one_lite_icon\\\"},{\\\"text\\\":\\\"Creamos trajes a la medida para cumplir con las necesidades de cada cliente, fabricamos desde una pieza muestra hasta cientos de miles de piezas, con dise\\u00f1os unicos y exclusivos.\\\",\\\"title\\\":\\\"Desarrollo Proyectos\\\",\\\"icon_value\\\":\\\"fa-archive\\\",\\\"choice\\\":\\\"llorix_one_lite_icon\\\"},{\\\"text\\\":\\\"Sabemos que hay momentos en que una entrega necesita salir urgentemente. Apoyamos a nuestos clientes con pedidos express realizando entregas al d\\u00eda siguiente del pedido. \\\",\\\"title\\\":\\\"Servicio Express\\\",\\\"icon_value\\\":\\\"fa-magic\\\",\\\"choice\\\":\\\"llorix_one_lite_icon\\\"},{\\\"text\\\":\\\"Analizamos y probamos todos nuestros productos  para que se encuentren en optimas condiciones seg\\u00fan los requerimientos del cliente. Garantizando la calidad en todo momento. \\\",\\\"title\\\":\\\"Evaluaci\\u00f3n\\\",\\\"icon_value\\\":\\\"fa-dropbox\\\",\\\"choice\\\":\\\"llorix_one_lite_icon\\\"}]\",\n        \"type\": \"theme_mod\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2018-12-17 20:06:38\"\n    }\n}','','','trash','closed','closed','','c4bbcf68-a119-49cd-9367-2d33a48cb148','','','2018-12-17 20:06:47','2018-12-17 20:06:47','',0,'https://heavybox.parcon.mx/?p=207',0,'customize_changeset','',0),(124,1,'2018-11-15 01:28:20','2018-11-15 01:28:20','','logo_heavybox','','inherit','open','closed','','logo_heavybox','','','2018-11-15 01:28:20','2018-11-15 01:28:20','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/logo_heavybox.jpg',0,'attachment','image/jpeg',0),(126,1,'2018-11-15 01:30:51','2018-11-15 01:30:51','','logo_heavybox','','inherit','open','closed','','logo_heavybox-2','','','2018-11-15 01:30:51','2018-11-15 01:30:51','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/logo_heavybox.png',0,'attachment','image/png',0),(127,1,'2018-11-15 01:33:53','2018-11-15 01:33:53','','logo_heavybox_white','','inherit','open','closed','','logo_heavybox_white','','','2018-11-15 01:33:53','2018-11-15 01:33:53','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/logo_heavybox_white.png',0,'attachment','image/png',0),(206,1,'2018-12-17 20:03:46','2018-12-17 20:03:46','{\n    \"llorix-one-lite::llorix_one_lite_logos_content\": {\n        \"value\": \"[{\\\"image_url\\\":\\\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.14-225x300.jpeg\\\",\\\"link\\\":\\\"#\\\"},{\\\"image_url\\\":\\\"https://heavybox.parcon.mx/wp-content/themes/llorix-one-lite/images/companies/2.png\\\",\\\"link\\\":\\\"#\\\"},{\\\"image_url\\\":\\\"https://heavybox.parcon.mx/wp-content/themes/llorix-one-lite/images/companies/3.png\\\",\\\"link\\\":\\\"#\\\"},{\\\"image_url\\\":\\\"https://heavybox.parcon.mx/wp-content/themes/llorix-one-lite/images/companies/4.png\\\",\\\"link\\\":\\\"#\\\"},{\\\"image_url\\\":\\\"https://heavybox.parcon.mx/wp-content/themes/llorix-one-lite/images/companies/5.png\\\",\\\"link\\\":\\\"#\\\"}]\",\n        \"type\": \"theme_mod\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2018-12-17 20:01:37\"\n    },\n    \"llorix-one-lite::llorix_one_lite_contact_info_content\": {\n        \"value\": \"[{\\\"text\\\":\\\"atencionaclientes@heavybox.com.mx&lt;br&gt;\\\\natencionaclientes1@heavybox.com.mx\\\",\\\"icon_value\\\":\\\"fa-envelope\\\",\\\"link\\\":\\\"#\\\"},{\\\"text\\\":\\\"Lago Cajititlan 201\\\\nCol. Nicolas R. Casillas\\\\nTlajomulco de Zu\\u00f1iga, Jal.\\\",\\\"icon_value\\\":\\\"fa-map-marker\\\",\\\"link\\\":\\\"#\\\"},{\\\"text\\\":\\\"+52 (33) 3694 3001&lt;br&gt;\\\\n(33) 3100 4887&lt;br&gt;\\\\n(33) 3100 5054\\\",\\\"icon_value\\\":\\\"fa-tablet\\\",\\\"link\\\":\\\"#\\\"}]\",\n        \"type\": \"theme_mod\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2018-12-17 20:01:37\"\n    },\n    \"llorix-one-lite::llorix_one_lite_services_content\": {\n        \"value\": \"[{\\\"text\\\":\\\"Sabemos lo importante que es para ti tener tu producto a tiempo, ofrecemos atenci\\u00f3n 24 horas, 7 d\\u00edas a la semana. En Corrugados Heavy Box, las necesidades y satisfacci\\u00f3n del cliente son nuestras prioridades.\\\",\\\"title\\\":\\\"Atenci\\u00f3n 24&#x2F;7\\\",\\\"icon_value\\\":\\\"fa-clock-o\\\",\\\"choice\\\":\\\"llorix_one_lite_icon\\\"},{\\\"text\\\":\\\"No arriesgamos tu producto. Por eso contamos y utilizamos nuestra propia flotilla de camiones, as\\u00ed como operadores entrenados para entregar en tiempo y forma cada pedido. \\\",\\\"title\\\":\\\"Transporte Propio\\\",\\\"icon_value\\\":\\\"fa-truck\\\",\\\"choice\\\":\\\"llorix_one_lite_icon\\\"},{\\\"text\\\":\\\"Creamos trajes a la medida para cumplir con las necesidades de cada cliente, fabricamos desde una pieza muestra hasta cientos de miles de piezas, con dise\\u00f1os unicos y exclusivos.\\\",\\\"title\\\":\\\"Desarrollo Proyectos\\\",\\\"icon_value\\\":\\\"fa-archive\\\",\\\"choice\\\":\\\"llorix_one_lite_icon\\\"},{\\\"text\\\":\\\"Sabemos que hay momentos en que una entrega necesita salir urgentemente. Apoyamos a nuestos clientes con pedidos express realizando entregas al d\\u00eda siguiente del pedido. \\\",\\\"title\\\":\\\"Servicio Express\\\",\\\"icon_value\\\":\\\"fa-magic\\\",\\\"choice\\\":\\\"llorix_one_lite_icon\\\"},{\\\"text\\\":\\\"Analizamos y probamos todos los empaques para que esten en las optimas condiciones para la aplicaci\\u00f3n que cada cliente requiere. Garantizando la calidad en todo momento. \\\",\\\"title\\\":\\\"Evaluaci\\u00f3n\\\",\\\"icon_value\\\":\\\"fa-dropbox\\\",\\\"choice\\\":\\\"llorix_one_lite_icon\\\"}]\",\n        \"type\": \"theme_mod\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2018-12-17 20:03:46\"\n    },\n    \"llorix-one-lite::llorix_one_lite_team_content\": {\n        \"value\": \"[{\\\"image_url\\\":\\\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-2-300x225.jpeg\\\",\\\"title\\\":\\\"Dedicaci\\u00f3n en\\\",\\\"subtitle\\\":\\\"cada proceso\\\"},{\\\"image_url\\\":\\\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-300x225.jpeg\\\",\\\"title\\\":\\\"Capacitaci\\u00f3n del m\\u00e1s\\\",\\\"subtitle\\\":\\\"alto nivel\\\"},{\\\"image_url\\\":\\\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.11-300x225.jpeg\\\",\\\"title\\\":\\\"Control de \\\",\\\"subtitle\\\":\\\"calidad riguroso\\\"}]\",\n        \"type\": \"theme_mod\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2018-12-17 20:01:37\"\n    },\n    \"llorix-one-lite::llorix_one_lite_testimonials_content\": {\n        \"value\": \"[{\\\"text\\\":\\\"Cepillos El Castor es una empresa que tiene 50 a\\u00f1os fabricando escobas, trapeadores, cepillos y accesorios especializados para la industria de la limpieza e inocuidad. Distribuyen sus productos en todo el mundo y tienen una fuerte presencia en latinoamerica. Cepillos El Castor y Heavybox trabajan de la mano para que los productos llegan a su destino final en perfectas condiciones. \\\",\\\"image_url\\\":\\\"https://heavybox.parcon.mx/wp-content/uploads/2018/11/logo_elcastor.jpg\\\",\\\"title\\\":\\\"Cepillos El Castor\\\",\\\"subtitle\\\":\\\"Industria Limpieza\\\"},{\\\"text\\\":\\\"En la industria alimenticia el trasportar lateria puede ser un dolor de cabeza. Las cajas tienen que soportar mucho peso y maltrato. Atun Tuny es uno de los lideres en el ramo y distribuyen sus producto en miles de tiendas en todo el pa\\u00eds y en el extranjero. Nuestras cajas est\\u00e1n a la altura de las exigencias del mercado, protege el producto y evita merma por golpes y ca\\u00eddas. \\\",\\\"image_url\\\":\\\"https://heavybox.parcon.mx/wp-content/uploads/2018/11/logo_tuny.jpg\\\",\\\"title\\\":\\\"Atun Tuny\\\",\\\"subtitle\\\":\\\"Industria Alimenticia\\\"},{\\\"text\\\":\\\"Perdura Stone es una empresa 100% Mexicana, como nosotros, elaboran piedra decorativa con finos acabados a nivel profesional y est\\u00e1n en constante crecimiento. Las cajas para transportar los acabados tienen que ser de una muy alta resistencia y durabilidad. Nuestros procesos y selecci\\u00f3n de material asegura de que as\\u00ed sea el 100% de las veces.\\\",\\\"image_url\\\":\\\"https://heavybox.parcon.mx/wp-content/uploads/2018/11/logo_perdura.jpg\\\",\\\"title\\\":\\\"Perdura Stone\\\",\\\"subtitle\\\":\\\"Industria Construcci\\u00f3n\\\"}]\",\n        \"type\": \"theme_mod\",\n        \"user_id\": 1,\n        \"date_modified_gmt\": \"2018-12-17 20:01:37\"\n    }\n}','','','trash','closed','closed','','e3ff05c0-3afa-4fc1-b094-db1a6136d5d6','','','2018-12-17 20:03:46','2018-12-17 20:03:46','',0,'https://heavybox.parcon.mx/?p=206',0,'customize_changeset','',0);
INSERT INTO `wp_posts` VALUES (129,1,'2018-11-15 01:39:58','2018-11-15 01:39:58','','logo_heavybox3','','inherit','open','closed','','logo_heavybox3','','','2018-11-15 01:39:58','2018-11-15 01:39:58','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/11/logo_heavybox3.png',0,'attachment','image/png',0),(147,1,'2018-12-12 16:59:46','2018-12-12 16:59:46','<p>Contamos con capacidad de impresión de 1 a  4 tintas en línea, Sistema de Impresión y Pegado en Línea (Flexo, Folder, Gluer) Sistema de Troquelado e Impresión en Línea (Flexo Die-Cutter) Velocidades de Producción hasta de 240 cajas por minuto. Contamos con elaboración de Pedidos de 1 semana, entregas en transportes propios, cotizaciones de acuerdo a las necesidades del cliente, así como desarrollo de nuevos proyectos.</p><p>Tecnología / Competitividad Mercado: Nuestros Principales Mercados son muy diversificados, ya que fabricamos a la industria  farmacéutico, alimenticio, de manufactura electrónica, empaques de cartón entre otros, Siempre nos enfocamos a Clientes que requieran Fabricación de Caja de Cartón corrugado entro otros productos de carton.</p>','Tecnología / Competitividad','','inherit','closed','closed','','107-revision-v1','','','2018-12-12 16:59:46','2018-12-12 16:59:46','',107,'https://heavybox.parcon.mx/uncategorized/107-revision-v1/',0,'revision','',0),(149,1,'2018-12-12 17:01:41','2018-12-12 17:01:41','<p>Contamos con capacidad de impresión de 1 a  4 tintas en línea, Sistema de Impresión y Pegado en Línea (Flexo, Folder, Gluer) Sistema de Troquelado e Impresión en Línea (Flexo Die-Cutter), velocidades de producción hasta de 240 cajas por minuto. Contamos con elaboración de Pedidos de 1 semana, entregas en transportes propios, cotizaciones de acuerdo a las necesidades del cliente, así como desarrollo de nuevos proyectos.</p><p>Tecnología / Competitividad Mercado: Nuestros Principales Mercados son muy diversificados, ya que fabricamos a la industria  farmacéutico, alimenticio, de manufactura electrónica, empaques de cartón entre otros, Siempre nos enfocamos a Clientes que requieran Fabricación de Caja de Cartón corrugado entro otros productos de carton.</p>','Tecnología / Competitividad','','inherit','closed','closed','','107-revision-v1','','','2018-12-12 17:01:41','2018-12-12 17:01:41','',107,'https://heavybox.parcon.mx/uncategorized/107-revision-v1/',0,'revision','',0),(151,1,'2018-12-12 17:04:10','2018-12-12 17:04:10','<p>Contamos con capacidad de impresión de 1 a  4 tintas en línea, Sistema de Impresión y Pegado en Línea (Flexo, Folder, Gluer) Sistema de Troquelado e Impresión en Línea (Flexo Die-Cutter), velocidades de producción hasta de 240 cajas por minuto. Contamos con elaboración de Pedidos de 1 semana, entregas en transportes propios, cotizaciones de acuerdo a las necesidades del cliente, así como desarrollo de nuevos proyectos.</p><p>Tecnología / Competitividad Mercado: Nuestros Principales Mercados son muy diversificados, ya que fabricamos a la industria  farmacéutico, alimenticio, de manufactura electrónica, empaques de cartón entre otros, Siempre nos enfocamos a Clientes que requieran empaque de caja de cartón corrugado entro otros productos de cartón.</p>','Tecnología / Competitividad','','inherit','closed','closed','','107-revision-v1','','','2018-12-12 17:04:10','2018-12-12 17:04:10','',107,'https://heavybox.parcon.mx/uncategorized/107-revision-v1/',0,'revision','',0),(153,1,'2018-12-12 17:04:53','2018-12-12 17:04:53','<p>Contamos con capacidad de impresión de 1 a  4 tintas en línea, Sistema de Impresión y Pegado en Línea (Flexo, Folder, Gluer) Sistema de Troquelado e Impresión en Línea (Flexo Die-Cutter), velocidades de producción hasta de 240 cajas por minuto. Contamos con elaboración de Pedidos de 1 semana, entregas en transportes propios, cotizaciones de acuerdo a las necesidades del cliente, así como desarrollo de nuevos proyectos.</p><p>Tecnología / Competitividad Mercado: Nuestros Principales Mercados son muy diversificados, ya que fabricamos a la industria  farmacéutico, alimenticio, de manufactura electrónica, empaques de cartón entre otros, Siempre nos enfocamos a clientes que requieran empaque de cartón corrugado entro otros productos de cartón.</p>','Tecnología / Competitividad','','inherit','closed','closed','','107-revision-v1','','','2018-12-12 17:04:53','2018-12-12 17:04:53','',107,'https://heavybox.parcon.mx/uncategorized/107-revision-v1/',0,'revision','',0),(155,1,'2018-12-12 17:12:11','2018-12-12 17:12:11','<p>Contamos con capacidad de impresión de 1 a  4 tintas en línea, Sistema de Impresión y Pegado en Línea (Flexo, Folder, Gluer) Sistema de Troquelado e Impresión en Línea (Flexo Die-Cutter), velocidades de producción hasta de 240 cajas por minuto. Contamos con elaboración de Pedidos de 1 semana, entregas en transportes propios, cotizaciones de acuerdo a las necesidades del cliente, así como desarrollo de nuevos proyectos.</p><p>Tecnología / Competitividad Mercado: Nuestros Principales Mercados son muy diversificados, ya que fabricamos a la industria  farmacéutico, alimenticio, de manufactura electrónica, empaques de cartón entre otros, enfocados en las necesidades de nuestros clientes para el desarrollo de sus empaques para un correcto manejo y almacenaje y como resultado la protección integral de sus productos. </p>','Tecnología / Competitividad','','inherit','closed','closed','','107-revision-v1','','','2018-12-12 17:12:11','2018-12-12 17:12:11','',107,'https://heavybox.parcon.mx/uncategorized/107-revision-v1/',0,'revision','',0),(157,1,'2018-12-12 17:30:43','2018-12-12 17:30:43','Dirección:\r\nLago Cajititlan 201\r\nCol. Nicolas R. Casillas\r\nTlajomulco de Zuñiga, Jal.\r\n\r\nAtención a clientes:\r\natencionaclientes@heavybox.com.mx\r\natencionaclientes1@heavybox.com.mx\r\n\r\nAlma Rocio Arrollo\r\nalmaventas@heavybox.com.mx\r\n\r\nGerencia de ventas:\r\ndanielventas@heavybox.com.mx\r\nDaniel Martin del Campo\r\n\r\nTeléfonos:\r\n\r\n(33) 3100 4887\r\n\r\n(33) 3100 5054\r\n\r\n(33) 3694 3001 ext 107 ventas\r\n\r\nContáctenos para cualquier duda o comentario.\r\n\r\n[contact-form-7 id=\"30\" title=\"Formulario de contacto 1\"]','Contacto','','inherit','closed','closed','','56-revision-v1','','','2018-12-12 17:30:43','2018-12-12 17:30:43','',56,'https://heavybox.parcon.mx/uncategorized/56-revision-v1/',0,'revision','',0),(181,1,'2018-12-14 23:26:08','2018-12-14 23:26:08','','cropped-WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg','','inherit','open','closed','','cropped-whatsapp-image-2018-12-14-at-13-25-13-1-jpeg','','','2018-12-14 23:26:08','2018-12-14 23:26:08','',0,'https://heavybox.parcon.mx/wp-content/uploads/2018/12/cropped-WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg',0,'attachment','image/jpeg',0),(195,1,'2018-12-15 00:11:28','2018-12-15 00:11:28','<p>Contamos con capacidad de impresión de 1 a  4 tintas en línea, Sistema de Impresión y Pegado en Línea (Flexo, Folder, Gluer) Sistema de Troquelado e Impresión en Línea (Flexo Die-Cutter), velocidades de producción hasta de 240 cajas por minuto. Contamos con elaboración de Pedidos de 1 semana, entregas en transportes propios, cotizaciones de acuerdo a las necesidades del cliente, así como desarrollo de nuevos proyectos.</p><p>Tecnología / Competitividad Mercado: Nuestros Principales Mercados son muy diversificados, ya que fabricamos a la industria  farmacéutico, alimenticio, de manufactura electrónica, empaques de cartón entre otros, enfocados en las necesidades de nuestros clientes para el desarrollo de sus empaques para un correcto manejo y almacenaje y como resultado la protección integral de sus productos. </p>','Tecnología / Competitividad','','inherit','closed','closed','','107-revision-v1','','','2018-12-15 00:11:28','2018-12-15 00:11:28','',107,'https://heavybox.parcon.mx/uncategorized/107-revision-v1/',0,'revision','',0),(193,1,'2018-12-15 00:07:29','2018-12-15 00:07:29','<p>Contamos con capacidad de impresión de 1 a  4 tintas en línea, Sistema de Impresión y Pegado en Línea (Flexo, Folder, Gluer) Sistema de Troquelado e Impresión en Línea (Flexo Die-Cutter), velocidades de producción hasta de 240 cajas por minuto. Contamos con elaboración de Pedidos de 1 semana, entregas en transportes propios, cotizaciones de acuerdo a las necesidades del cliente, así como desarrollo de nuevos proyectos.</p><p> </p><p>Tecnología / Competitividad Mercado: Nuestros Principales Mercados son muy diversificados, ya que fabricamos a la industria  farmacéutico, alimenticio, de manufactura electrónica, empaques de cartón entre otros, enfocados en las necesidades de nuestros clientes para el desarrollo de sus empaques para un correcto manejo y almacenaje y como resultado la protección integral de sus productos. </p>','Tecnología / Competitividad','','inherit','closed','closed','','107-revision-v1','','','2018-12-15 00:07:29','2018-12-15 00:07:29','',107,'https://heavybox.parcon.mx/uncategorized/107-revision-v1/',0,'revision','',0),(197,1,'2018-12-15 00:19:52','2018-12-15 00:19:52','<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\"><img class=\"alignnone wp-image-164 size-full\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\" alt=\"Heavybox\" width=\"1280\" height=\"960\" /></a><a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\"><img class=\"alignnone wp-image-162 size-full\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\" alt=\"\" width=\"1280\" height=\"770\" /></a>\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.11-1.mp4\"][/video]\r\n\r\n[gallery size=\"large\" link=\"file\" columns=\"2\" ids=\"166,165,164,163,162,161,160,159,158\"]','Galería','','inherit','closed','closed','','176-revision-v1','','','2018-12-15 00:19:52','2018-12-15 00:19:52','',176,'https://heavybox.parcon.mx/uncategorized/176-revision-v1/',0,'revision','',0),(198,1,'2018-12-15 00:30:13','2018-12-15 00:30:13','<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\"><img class=\"alignnone wp-image-162 size-full\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\" alt=\"\" width=\"1280\" height=\"770\" /></a>\r\n\r\n[gallery size=\"large\" link=\"file\" columns=\"2\" ids=\"165,161,160,158\"]\r\n\r\n<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\"><img class=\"alignnone wp-image-164 size-full\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\" alt=\"\" width=\"1280\" height=\"960\" /></a>\r\n\r\n[gallery columns=\"2\" size=\"large\" link=\"file\" ids=\"163,159\"]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.11.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.12.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.11-1.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.13-1.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.13.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14-2.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14-1.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14-3.mp4\"][/video]','Galería','','inherit','closed','closed','','176-revision-v1','','','2018-12-15 00:30:13','2018-12-15 00:30:13','',176,'https://heavybox.parcon.mx/uncategorized/176-revision-v1/',0,'revision','',0),(209,1,'2018-12-17 20:11:23','2018-12-17 20:11:23','Contamos con equipos de ultima generación así como tecnología de punta. Dándoles la seguridad y la tranquilidad de poder contar con producto de la mejor calidad.\r\n\r\n<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\"><img class=\"alignnone wp-image-162 size-full\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\" alt=\"\" width=\"1280\" height=\"770\" /></a>\r\n\r\n[gallery size=\"large\" link=\"file\" columns=\"2\" ids=\"165,161,160,158\"]\r\n\r\n<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\"><img class=\"alignnone wp-image-164 size-full\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\" alt=\"\" width=\"1280\" height=\"960\" /></a>\r\n\r\n[gallery columns=\"2\" size=\"large\" link=\"file\" ids=\"163,159\"]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.12.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.11-1.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14-3.mp4\"][/video]','Nuestras Instalaciones','','inherit','closed','closed','','176-revision-v1','','','2018-12-17 20:11:23','2018-12-17 20:11:23','',176,'https://heavybox.parcon.mx/uncategorized/176-revision-v1/',0,'revision','',0),(205,1,'2018-12-17 19:56:39','2018-12-17 19:56:39','Utilizamos Tecnología de punta y los equipos mas modernos en nuestras instalaciones de calidad mundial.\r\n\r\n<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\"><img class=\"alignnone wp-image-162 size-full\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\" alt=\"\" width=\"1280\" height=\"770\" /></a>\r\n\r\n[gallery size=\"large\" link=\"file\" columns=\"2\" ids=\"165,161,160,158\"]\r\n\r\n<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\"><img class=\"alignnone wp-image-164 size-full\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\" alt=\"\" width=\"1280\" height=\"960\" /></a>\r\n\r\n[gallery columns=\"2\" size=\"large\" link=\"file\" ids=\"163,159\"]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.12.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.11-1.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14-3.mp4\"][/video]','Nuestras Instalaciones','','inherit','closed','closed','','176-revision-v1','','','2018-12-17 19:56:39','2018-12-17 19:56:39','',176,'https://heavybox.parcon.mx/uncategorized/176-revision-v1/',0,'revision','',0),(199,1,'2018-12-15 00:32:30','2018-12-15 00:32:30','Utilizamos Tecnologia de punta y los equipos mas modernos en nuestras instalaciones de calidad mundial.\r\n\r\n<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\"><img class=\"alignnone wp-image-162 size-full\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\" alt=\"\" width=\"1280\" height=\"770\" /></a>\r\n\r\n[gallery size=\"large\" link=\"file\" columns=\"2\" ids=\"165,161,160,158\"]\r\n\r\n<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\"><img class=\"alignnone wp-image-164 size-full\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\" alt=\"\" width=\"1280\" height=\"960\" /></a>\r\n\r\n[gallery columns=\"2\" size=\"large\" link=\"file\" ids=\"163,159\"]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.11.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.12.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.11-1.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.13-1.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.13.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14-2.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14-1.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14-3.mp4\"][/video]','Nuestras Instalaciones','','inherit','closed','closed','','176-revision-v1','','','2018-12-15 00:32:30','2018-12-15 00:32:30','',176,'https://heavybox.parcon.mx/uncategorized/176-revision-v1/',0,'revision','',0),(200,1,'2018-12-15 00:32:56','2018-12-15 00:32:56','Utilizamos Tecnología de punta y los equipos mas modernos en nuestras instalaciones de calidad mundial.\r\n\r\n<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\"><img class=\"alignnone wp-image-162 size-full\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.12-1.jpeg\" alt=\"\" width=\"1280\" height=\"770\" /></a>\r\n\r\n[gallery size=\"large\" link=\"file\" columns=\"2\" ids=\"165,161,160,158\"]\r\n\r\n<a href=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\"><img class=\"alignnone wp-image-164 size-full\" src=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Image-2018-12-14-at-13.25.13-1.jpeg\" alt=\"\" width=\"1280\" height=\"960\" /></a>\r\n\r\n[gallery columns=\"2\" size=\"large\" link=\"file\" ids=\"163,159\"]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.11.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.12.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.11-1.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.13-1.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.13.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14-2.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14-1.mp4\"][/video]\r\n\r\n[video width=\"848\" height=\"480\" mp4=\"https://heavybox.parcon.mx/wp-content/uploads/2018/12/WhatsApp-Video-2018-12-14-at-13.25.14-3.mp4\"][/video]','Nuestras Instalaciones','','inherit','closed','closed','','176-revision-v1','','','2018-12-15 00:32:56','2018-12-15 00:32:56','',176,'https://heavybox.parcon.mx/uncategorized/176-revision-v1/',0,'revision','',0),(201,1,'2018-12-15 00:38:27','2018-12-15 00:38:27',' ','','','publish','closed','closed','','201','','','2018-12-15 00:38:27','2018-12-15 00:38:27','',0,'https://heavybox.parcon.mx/?p=201',2,'nav_menu_item','',0);
DROP TABLE IF EXISTS `wp_term_relationships`;
CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `wp_term_relationships` VALUES (1,2,0),(2,2,0),(3,2,0),(4,2,0),(5,2,0),(6,2,0),(7,2,0),(1,1,0),(34,1,0),(37,1,0),(111,3,0),(201,3,0),(113,3,0),(114,3,0);
DROP TABLE IF EXISTS `wp_term_taxonomy`;
CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `wp_term_taxonomy` VALUES (1,1,'category','',0,3),(2,2,'link_category','',0,7),(3,3,'nav_menu','',0,4);
DROP TABLE IF EXISTS `wp_termmeta`;
CREATE TABLE `wp_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
DROP TABLE IF EXISTS `wp_terms`;
CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `wp_terms` VALUES (1,'Uncategorized','uncategorized',0),(2,'Blogroll','blogroll',0),(3,'primario','primario',0);
DROP TABLE IF EXISTS `wp_usermeta`;
CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM AUTO_INCREMENT=23 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `wp_usermeta` VALUES (1,1,'first_name',''),(2,1,'last_name',''),(3,1,'nickname','admin'),(4,1,'description',''),(5,1,'rich_editing','true'),(6,1,'comment_shortcuts','false'),(7,1,'admin_color','fresh'),(8,1,'use_ssl','0'),(9,1,'aim',''),(10,1,'yim',''),(11,1,'jabber',''),(12,1,'wp_capabilities','a:1:{s:13:\"administrator\";s:1:\"1\";}'),(13,1,'wp_user_level','10'),(14,1,'session_tokens','a:1:{s:64:\"3aaa8f2086ae5cdc72f049a6ec7c45cbc81069eec21b3ff0ff972ff2f055541a\";a:4:{s:10:\"expiration\";i:1545249274;s:2:\"ip\";s:13:\"148.243.83.62\";s:2:\"ua\";s:115:\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.110 Safari/537.36\";s:5:\"login\";i:1545076474;}}'),(15,1,'wp_dashboard_quick_press_last_post_id','131'),(16,1,'community-events-location','a:1:{s:2:\"ip\";s:12:\"148.243.83.0\";}'),(17,1,'dismissed_wp_pointers','wp496_privacy'),(20,1,'nav_menu_recently_edited','3'),(21,1,'managenav-menuscolumnshidden','a:5:{i:0;s:11:\"link-target\";i:1;s:11:\"css-classes\";i:2;s:3:\"xfn\";i:3;s:11:\"description\";i:4;s:15:\"title-attribute\";}'),(22,1,'metaboxhidden_nav-menus','a:2:{i:0;s:12:\"add-post_tag\";i:1;s:15:\"add-post_format\";}'),(18,1,'wp_user-settings','libraryContent=browse&hidetb=0'),(19,1,'wp_user-settings-time','1544833068');
DROP TABLE IF EXISTS `wp_users`;
CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_pass` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_nicename` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_url` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `wp_users` VALUES (1,'admin','$P$BnlthqIsuiG7T3utQK9TJfZV5T1sZ11','admin','shybwy@hotmail.com','','2018-10-20 06:50:12','',0,'admin');
